require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&AUTOCONF_INCLUDED)) {
    sub AUTOCONF_INCLUDED () {	1;}
}
undef(&CONFIG_PPC64) if defined(&CONFIG_PPC64);
unless(defined(&CONFIG_PPC32)) {
    sub CONFIG_PPC32 () {	1;}
}
unless(defined(&CONFIG_PPC_MERGE)) {
    sub CONFIG_PPC_MERGE () {	1;}
}
unless(defined(&CONFIG_MMU)) {
    sub CONFIG_MMU () {	1;}
}
unless(defined(&CONFIG_GENERIC_HARDIRQS)) {
    sub CONFIG_GENERIC_HARDIRQS () {	1;}
}
unless(defined(&CONFIG_RWSEM_XCHGADD_ALGORITHM)) {
    sub CONFIG_RWSEM_XCHGADD_ALGORITHM () {	1;}
}
unless(defined(&CONFIG_GENERIC_HWEIGHT)) {
    sub CONFIG_GENERIC_HWEIGHT () {	1;}
}
unless(defined(&CONFIG_GENERIC_CALIBRATE_DELAY)) {
    sub CONFIG_GENERIC_CALIBRATE_DELAY () {	1;}
}
unless(defined(&CONFIG_PPC)) {
    sub CONFIG_PPC () {	1;}
}
unless(defined(&CONFIG_EARLY_PRINTK)) {
    sub CONFIG_EARLY_PRINTK () {	1;}
}
unless(defined(&CONFIG_GENERIC_NVRAM)) {
    sub CONFIG_GENERIC_NVRAM () {	1;}
}
unless(defined(&CONFIG_SCHED_NO_NO_OMIT_FRAME_POINTER)) {
    sub CONFIG_SCHED_NO_NO_OMIT_FRAME_POINTER () {	1;}
}
unless(defined(&CONFIG_ARCH_MAY_HAVE_PC_FDC)) {
    sub CONFIG_ARCH_MAY_HAVE_PC_FDC () {	1;}
}
unless(defined(&CONFIG_PPC_OF)) {
    sub CONFIG_PPC_OF () {	1;}
}
undef(&CONFIG_PPC_UDBG_16550) if defined(&CONFIG_PPC_UDBG_16550);
undef(&CONFIG_GENERIC_TBSYNC) if defined(&CONFIG_GENERIC_TBSYNC);
undef(&CONFIG_DEFAULT_UIMAGE) if defined(&CONFIG_DEFAULT_UIMAGE);
unless(defined(&CONFIG_CLASSIC32)) {
    sub CONFIG_CLASSIC32 () {	1;}
}
undef(&CONFIG_PPC_52xx) if defined(&CONFIG_PPC_52xx);
undef(&CONFIG_PPC_82xx) if defined(&CONFIG_PPC_82xx);
undef(&CONFIG_PPC_83xx) if defined(&CONFIG_PPC_83xx);
undef(&CONFIG_PPC_85xx) if defined(&CONFIG_PPC_85xx);
undef(&CONFIG_40x) if defined(&CONFIG_40x);
undef(&CONFIG_44x) if defined(&CONFIG_44x);
undef(&CONFIG_8xx) if defined(&CONFIG_8xx);
undef(&CONFIG_E200) if defined(&CONFIG_E200);
unless(defined(&CONFIG_6xx)) {
    sub CONFIG_6xx () {	1;}
}
unless(defined(&CONFIG_PPC_FPU)) {
    sub CONFIG_PPC_FPU () {	1;}
}
unless(defined(&CONFIG_ALTIVEC)) {
    sub CONFIG_ALTIVEC () {	1;}
}
unless(defined(&CONFIG_PPC_STD_MMU)) {
    sub CONFIG_PPC_STD_MMU () {	1;}
}
unless(defined(&CONFIG_PPC_STD_MMU_32)) {
    sub CONFIG_PPC_STD_MMU_32 () {	1;}
}
undef(&CONFIG_SMP) if defined(&CONFIG_SMP);
unless(defined(&CONFIG_EXPERIMENTAL)) {
    sub CONFIG_EXPERIMENTAL () {	1;}
}
unless(defined(&CONFIG_BROKEN_ON_SMP)) {
    sub CONFIG_BROKEN_ON_SMP () {	1;}
}
unless(defined(&CONFIG_INIT_ENV_ARG_LIMIT)) {
    sub CONFIG_INIT_ENV_ARG_LIMIT () {	32;}
}
unless(defined(&CONFIG_LOCALVERSION)) {
    sub CONFIG_LOCALVERSION () {	"";}
}
undef(&CONFIG_LOCALVERSION_AUTO) if defined(&CONFIG_LOCALVERSION_AUTO);
unless(defined(&CONFIG_SWAP)) {
    sub CONFIG_SWAP () {	1;}
}
unless(defined(&CONFIG_SYSVIPC)) {
    sub CONFIG_SYSVIPC () {	1;}
}
unless(defined(&CONFIG_POSIX_MQUEUE)) {
    sub CONFIG_POSIX_MQUEUE () {	1;}
}
undef(&CONFIG_BSD_PROCESS_ACCT) if defined(&CONFIG_BSD_PROCESS_ACCT);
unless(defined(&CONFIG_SYSCTL)) {
    sub CONFIG_SYSCTL () {	1;}
}
undef(&CONFIG_AUDIT) if defined(&CONFIG_AUDIT);
unless(defined(&CONFIG_IKCONFIG)) {
    sub CONFIG_IKCONFIG () {	1;}
}
unless(defined(&CONFIG_IKCONFIG_PROC)) {
    sub CONFIG_IKCONFIG_PROC () {	1;}
}
undef(&CONFIG_RELAY) if defined(&CONFIG_RELAY);
unless(defined(&CONFIG_INITRAMFS_SOURCE)) {
    sub CONFIG_INITRAMFS_SOURCE () {	"";}
}
undef(&CONFIG_CC_OPTIMIZE_FOR_SIZE) if defined(&CONFIG_CC_OPTIMIZE_FOR_SIZE);
undef(&CONFIG_EMBEDDED) if defined(&CONFIG_EMBEDDED);
unless(defined(&CONFIG_KALLSYMS)) {
    sub CONFIG_KALLSYMS () {	1;}
}
undef(&CONFIG_KALLSYMS_ALL) if defined(&CONFIG_KALLSYMS_ALL);
undef(&CONFIG_KALLSYMS_EXTRA_PASS) if defined(&CONFIG_KALLSYMS_EXTRA_PASS);
unless(defined(&CONFIG_HOTPLUG)) {
    sub CONFIG_HOTPLUG () {	1;}
}
unless(defined(&CONFIG_PRINTK)) {
    sub CONFIG_PRINTK () {	1;}
}
unless(defined(&CONFIG_BUG)) {
    sub CONFIG_BUG () {	1;}
}
unless(defined(&CONFIG_ELF_CORE)) {
    sub CONFIG_ELF_CORE () {	1;}
}
unless(defined(&CONFIG_BASE_FULL)) {
    sub CONFIG_BASE_FULL () {	1;}
}
unless(defined(&CONFIG_FUTEX)) {
    sub CONFIG_FUTEX () {	1;}
}
unless(defined(&CONFIG_EPOLL)) {
    sub CONFIG_EPOLL () {	1;}
}
unless(defined(&CONFIG_SHMEM)) {
    sub CONFIG_SHMEM () {	1;}
}
unless(defined(&CONFIG_SLAB)) {
    sub CONFIG_SLAB () {	1;}
}
undef(&CONFIG_TINY_SHMEM) if defined(&CONFIG_TINY_SHMEM);
unless(defined(&CONFIG_BASE_SMALL)) {
    sub CONFIG_BASE_SMALL () {	0;}
}
undef(&CONFIG_SLOB) if defined(&CONFIG_SLOB);
unless(defined(&CONFIG_MODULES)) {
    sub CONFIG_MODULES () {	1;}
}
unless(defined(&CONFIG_MODULE_UNLOAD)) {
    sub CONFIG_MODULE_UNLOAD () {	1;}
}
unless(defined(&CONFIG_MODULE_FORCE_UNLOAD)) {
    sub CONFIG_MODULE_FORCE_UNLOAD () {	1;}
}
undef(&CONFIG_MODVERSIONS) if defined(&CONFIG_MODVERSIONS);
undef(&CONFIG_MODULE_SRCVERSION_ALL) if defined(&CONFIG_MODULE_SRCVERSION_ALL);
unless(defined(&CONFIG_KMOD)) {
    sub CONFIG_KMOD () {	1;}
}
unless(defined(&CONFIG_LBD)) {
    sub CONFIG_LBD () {	1;}
}
undef(&CONFIG_BLK_DEV_IO_TRACE) if defined(&CONFIG_BLK_DEV_IO_TRACE);
undef(&CONFIG_LSF) if defined(&CONFIG_LSF);
unless(defined(&CONFIG_IOSCHED_NOOP)) {
    sub CONFIG_IOSCHED_NOOP () {	1;}
}
unless(defined(&CONFIG_IOSCHED_AS)) {
    sub CONFIG_IOSCHED_AS () {	1;}
}
unless(defined(&CONFIG_IOSCHED_DEADLINE)) {
    sub CONFIG_IOSCHED_DEADLINE () {	1;}
}
unless(defined(&CONFIG_IOSCHED_CFQ)) {
    sub CONFIG_IOSCHED_CFQ () {	1;}
}
unless(defined(&CONFIG_DEFAULT_AS)) {
    sub CONFIG_DEFAULT_AS () {	1;}
}
undef(&CONFIG_DEFAULT_DEADLINE) if defined(&CONFIG_DEFAULT_DEADLINE);
undef(&CONFIG_DEFAULT_CFQ) if defined(&CONFIG_DEFAULT_CFQ);
undef(&CONFIG_DEFAULT_NOOP) if defined(&CONFIG_DEFAULT_NOOP);
unless(defined(&CONFIG_DEFAULT_IOSCHED)) {
    sub CONFIG_DEFAULT_IOSCHED () {	"anticipatory";}
}
unless(defined(&CONFIG_PPC_MULTIPLATFORM)) {
    sub CONFIG_PPC_MULTIPLATFORM () {	1;}
}
undef(&CONFIG_PPC_ISERIES) if defined(&CONFIG_PPC_ISERIES);
undef(&CONFIG_EMBEDDED6xx) if defined(&CONFIG_EMBEDDED6xx);
undef(&CONFIG_APUS) if defined(&CONFIG_APUS);
undef(&CONFIG_PPC_CHRP) if defined(&CONFIG_PPC_CHRP);
unless(defined(&CONFIG_PPC_PMAC)) {
    sub CONFIG_PPC_PMAC () {	1;}
}
unless(defined(&CONFIG_MPIC)) {
    sub CONFIG_MPIC () {	1;}
}
undef(&CONFIG_PPC_RTAS) if defined(&CONFIG_PPC_RTAS);
undef(&CONFIG_MMIO_NVRAM) if defined(&CONFIG_MMIO_NVRAM);
unless(defined(&CONFIG_PPC_MPC106)) {
    sub CONFIG_PPC_MPC106 () {	1;}
}
undef(&CONFIG_PPC_970_NAP) if defined(&CONFIG_PPC_970_NAP);
unless(defined(&CONFIG_CPU_FREQ)) {
    sub CONFIG_CPU_FREQ () {	1;}
}
unless(defined(&CONFIG_CPU_FREQ_TABLE)) {
    sub CONFIG_CPU_FREQ_TABLE () {	1;}
}
undef(&CONFIG_CPU_FREQ_DEBUG) if defined(&CONFIG_CPU_FREQ_DEBUG);
unless(defined(&CONFIG_CPU_FREQ_STAT)) {
    sub CONFIG_CPU_FREQ_STAT () {	1;}
}
undef(&CONFIG_CPU_FREQ_STAT_DETAILS) if defined(&CONFIG_CPU_FREQ_STAT_DETAILS);
unless(defined(&CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE)) {
    sub CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE () {	1;}
}
undef(&CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE) if defined(&CONFIG_CPU_FREQ_DEFAULT_GOV_USERSPACE);
unless(defined(&CONFIG_CPU_FREQ_GOV_PERFORMANCE)) {
    sub CONFIG_CPU_FREQ_GOV_PERFORMANCE () {	1;}
}
unless(defined(&CONFIG_CPU_FREQ_GOV_POWERSAVE)) {
    sub CONFIG_CPU_FREQ_GOV_POWERSAVE () {	1;}
}
unless(defined(&CONFIG_CPU_FREQ_GOV_USERSPACE)) {
    sub CONFIG_CPU_FREQ_GOV_USERSPACE () {	1;}
}
undef(&CONFIG_CPU_FREQ_GOV_ONDEMAND) if defined(&CONFIG_CPU_FREQ_GOV_ONDEMAND);
undef(&CONFIG_CPU_FREQ_GOV_CONSERVATIVE) if defined(&CONFIG_CPU_FREQ_GOV_CONSERVATIVE);
unless(defined(&CONFIG_CPU_FREQ_PMAC)) {
    sub CONFIG_CPU_FREQ_PMAC () {	1;}
}
unless(defined(&CONFIG_PPC601_SYNC_FIX)) {
    sub CONFIG_PPC601_SYNC_FIX () {	1;}
}
undef(&CONFIG_TAU) if defined(&CONFIG_TAU);
undef(&CONFIG_WANT_EARLY_SERIAL) if defined(&CONFIG_WANT_EARLY_SERIAL);
undef(&CONFIG_HIGHMEM) if defined(&CONFIG_HIGHMEM);
undef(&CONFIG_HZ_100) if defined(&CONFIG_HZ_100);
unless(defined(&CONFIG_HZ_250)) {
    sub CONFIG_HZ_250 () {	1;}
}
undef(&CONFIG_HZ_1000) if defined(&CONFIG_HZ_1000);
unless(defined(&CONFIG_HZ)) {
    sub CONFIG_HZ () {	250;}
}
unless(defined(&CONFIG_PREEMPT_NONE)) {
    sub CONFIG_PREEMPT_NONE () {	1;}
}
undef(&CONFIG_PREEMPT_VOLUNTARY) if defined(&CONFIG_PREEMPT_VOLUNTARY);
undef(&CONFIG_PREEMPT) if defined(&CONFIG_PREEMPT);
unless(defined(&CONFIG_BINFMT_ELF)) {
    sub CONFIG_BINFMT_ELF () {	1;}
}
unless(defined(&CONFIG_BINFMT_MISC_MODULE)) {
    sub CONFIG_BINFMT_MISC_MODULE () {	1;}
}
undef(&CONFIG_KEXEC) if defined(&CONFIG_KEXEC);
unless(defined(&CONFIG_ARCH_FLATMEM_ENABLE)) {
    sub CONFIG_ARCH_FLATMEM_ENABLE () {	1;}
}
unless(defined(&CONFIG_SELECT_MEMORY_MODEL)) {
    sub CONFIG_SELECT_MEMORY_MODEL () {	1;}
}
unless(defined(&CONFIG_FLATMEM_MANUAL)) {
    sub CONFIG_FLATMEM_MANUAL () {	1;}
}
undef(&CONFIG_DISCONTIGMEM_MANUAL) if defined(&CONFIG_DISCONTIGMEM_MANUAL);
undef(&CONFIG_SPARSEMEM_MANUAL) if defined(&CONFIG_SPARSEMEM_MANUAL);
unless(defined(&CONFIG_FLATMEM)) {
    sub CONFIG_FLATMEM () {	1;}
}
unless(defined(&CONFIG_FLAT_NODE_MEM_MAP)) {
    sub CONFIG_FLAT_NODE_MEM_MAP () {	1;}
}
undef(&CONFIG_SPARSEMEM_STATIC) if defined(&CONFIG_SPARSEMEM_STATIC);
unless(defined(&CONFIG_SPLIT_PTLOCK_CPUS)) {
    sub CONFIG_SPLIT_PTLOCK_CPUS () {	4;}
}
unless(defined(&CONFIG_PROC_DEVICETREE)) {
    sub CONFIG_PROC_DEVICETREE () {	1;}
}
undef(&CONFIG_CMDLINE_BOOL) if defined(&CONFIG_CMDLINE_BOOL);
unless(defined(&CONFIG_PM)) {
    sub CONFIG_PM () {	1;}
}
undef(&CONFIG_PM_LEGACY) if defined(&CONFIG_PM_LEGACY);
unless(defined(&CONFIG_PM_DEBUG)) {
    sub CONFIG_PM_DEBUG () {	1;}
}
unless(defined(&CONFIG_SOFTWARE_SUSPEND)) {
    sub CONFIG_SOFTWARE_SUSPEND () {	1;}
}
unless(defined(&CONFIG_PM_STD_PARTITION)) {
    sub CONFIG_PM_STD_PARTITION () {	"";}
}
unless(defined(&CONFIG_SECCOMP)) {
    sub CONFIG_SECCOMP () {	1;}
}
unless(defined(&CONFIG_ISA_DMA_API)) {
    sub CONFIG_ISA_DMA_API () {	1;}
}
unless(defined(&CONFIG_GENERIC_ISA_DMA)) {
    sub CONFIG_GENERIC_ISA_DMA () {	1;}
}
undef(&CONFIG_PPC_I8259) if defined(&CONFIG_PPC_I8259);
unless(defined(&CONFIG_PPC_INDIRECT_PCI)) {
    sub CONFIG_PPC_INDIRECT_PCI () {	1;}
}
unless(defined(&CONFIG_PCI)) {
    sub CONFIG_PCI () {	1;}
}
unless(defined(&CONFIG_PCI_DOMAINS)) {
    sub CONFIG_PCI_DOMAINS () {	1;}
}
undef(&CONFIG_PCI_DEBUG) if defined(&CONFIG_PCI_DEBUG);
unless(defined(&CONFIG_PCCARD_MODULE)) {
    sub CONFIG_PCCARD_MODULE () {	1;}
}
undef(&CONFIG_PCMCIA_DEBUG) if defined(&CONFIG_PCMCIA_DEBUG);
unless(defined(&CONFIG_PCMCIA_MODULE)) {
    sub CONFIG_PCMCIA_MODULE () {	1;}
}
unless(defined(&CONFIG_PCMCIA_LOAD_CIS)) {
    sub CONFIG_PCMCIA_LOAD_CIS () {	1;}
}
unless(defined(&CONFIG_PCMCIA_IOCTL)) {
    sub CONFIG_PCMCIA_IOCTL () {	1;}
}
unless(defined(&CONFIG_CARDBUS)) {
    sub CONFIG_CARDBUS () {	1;}
}
unless(defined(&CONFIG_YENTA_MODULE)) {
    sub CONFIG_YENTA_MODULE () {	1;}
}
unless(defined(&CONFIG_YENTA_O2)) {
    sub CONFIG_YENTA_O2 () {	1;}
}
unless(defined(&CONFIG_YENTA_RICOH)) {
    sub CONFIG_YENTA_RICOH () {	1;}
}
unless(defined(&CONFIG_YENTA_TI)) {
    sub CONFIG_YENTA_TI () {	1;}
}
unless(defined(&CONFIG_YENTA_ENE_TUNE)) {
    sub CONFIG_YENTA_ENE_TUNE () {	1;}
}
unless(defined(&CONFIG_YENTA_TOSHIBA)) {
    sub CONFIG_YENTA_TOSHIBA () {	1;}
}
undef(&CONFIG_PD6729) if defined(&CONFIG_PD6729);
undef(&CONFIG_I82092) if defined(&CONFIG_I82092);
unless(defined(&CONFIG_PCCARD_NONSTATIC_MODULE)) {
    sub CONFIG_PCCARD_NONSTATIC_MODULE () {	1;}
}
undef(&CONFIG_HOTPLUG_PCI) if defined(&CONFIG_HOTPLUG_PCI);
undef(&CONFIG_ADVANCED_OPTIONS) if defined(&CONFIG_ADVANCED_OPTIONS);
unless(defined(&CONFIG_HIGHMEM_START)) {
    sub CONFIG_HIGHMEM_START () {	0xfe000000;}
}
unless(defined(&CONFIG_LOWMEM_SIZE)) {
    sub CONFIG_LOWMEM_SIZE () {	0x30000000;}
}
unless(defined(&CONFIG_KERNEL_START)) {
    sub CONFIG_KERNEL_START () {	0xc0000000;}
}
unless(defined(&CONFIG_TASK_SIZE)) {
    sub CONFIG_TASK_SIZE () {	0x80000000;}
}
unless(defined(&CONFIG_BOOT_LOAD)) {
    sub CONFIG_BOOT_LOAD () {	0x800000;}
}
unless(defined(&CONFIG_NET)) {
    sub CONFIG_NET () {	1;}
}
undef(&CONFIG_NETDEBUG) if defined(&CONFIG_NETDEBUG);
unless(defined(&CONFIG_PACKET)) {
    sub CONFIG_PACKET () {	1;}
}
undef(&CONFIG_PACKET_MMAP) if defined(&CONFIG_PACKET_MMAP);
unless(defined(&CONFIG_UNIX)) {
    sub CONFIG_UNIX () {	1;}
}
undef(&CONFIG_NET_KEY) if defined(&CONFIG_NET_KEY);
unless(defined(&CONFIG_INET)) {
    sub CONFIG_INET () {	1;}
}
unless(defined(&CONFIG_IP_MULTICAST)) {
    sub CONFIG_IP_MULTICAST () {	1;}
}
undef(&CONFIG_IP_ADVANCED_ROUTER) if defined(&CONFIG_IP_ADVANCED_ROUTER);
unless(defined(&CONFIG_IP_FIB_HASH)) {
    sub CONFIG_IP_FIB_HASH () {	1;}
}
undef(&CONFIG_IP_PNP) if defined(&CONFIG_IP_PNP);
undef(&CONFIG_NET_IPIP) if defined(&CONFIG_NET_IPIP);
undef(&CONFIG_NET_IPGRE) if defined(&CONFIG_NET_IPGRE);
undef(&CONFIG_IP_MROUTE) if defined(&CONFIG_IP_MROUTE);
undef(&CONFIG_ARPD) if defined(&CONFIG_ARPD);
unless(defined(&CONFIG_SYN_COOKIES)) {
    sub CONFIG_SYN_COOKIES () {	1;}
}
undef(&CONFIG_INET_AH) if defined(&CONFIG_INET_AH);
undef(&CONFIG_INET_ESP) if defined(&CONFIG_INET_ESP);
undef(&CONFIG_INET_IPCOMP) if defined(&CONFIG_INET_IPCOMP);
undef(&CONFIG_INET_XFRM_TUNNEL) if defined(&CONFIG_INET_XFRM_TUNNEL);
undef(&CONFIG_INET_TUNNEL) if defined(&CONFIG_INET_TUNNEL);
unless(defined(&CONFIG_INET_DIAG)) {
    sub CONFIG_INET_DIAG () {	1;}
}
unless(defined(&CONFIG_INET_TCP_DIAG)) {
    sub CONFIG_INET_TCP_DIAG () {	1;}
}
undef(&CONFIG_TCP_CONG_ADVANCED) if defined(&CONFIG_TCP_CONG_ADVANCED);
unless(defined(&CONFIG_TCP_CONG_BIC)) {
    sub CONFIG_TCP_CONG_BIC () {	1;}
}
undef(&CONFIG_IP_VS) if defined(&CONFIG_IP_VS);
undef(&CONFIG_IPV6) if defined(&CONFIG_IPV6);
undef(&CONFIG_INET6_XFRM_TUNNEL) if defined(&CONFIG_INET6_XFRM_TUNNEL);
undef(&CONFIG_INET6_TUNNEL) if defined(&CONFIG_INET6_TUNNEL);
unless(defined(&CONFIG_NETFILTER)) {
    sub CONFIG_NETFILTER () {	1;}
}
undef(&CONFIG_NETFILTER_DEBUG) if defined(&CONFIG_NETFILTER_DEBUG);
undef(&CONFIG_NETFILTER_NETLINK) if defined(&CONFIG_NETFILTER_NETLINK);
unless(defined(&CONFIG_NETFILTER_XTABLES_MODULE)) {
    sub CONFIG_NETFILTER_XTABLES_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_TARGET_CLASSIFY_MODULE)) {
    sub CONFIG_NETFILTER_XT_TARGET_CLASSIFY_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_TARGET_MARK_MODULE)) {
    sub CONFIG_NETFILTER_XT_TARGET_MARK_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_TARGET_NFQUEUE_MODULE)) {
    sub CONFIG_NETFILTER_XT_TARGET_NFQUEUE_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_TARGET_NOTRACK_MODULE)) {
    sub CONFIG_NETFILTER_XT_TARGET_NOTRACK_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_COMMENT_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_COMMENT_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_CONNTRACK_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_CONNTRACK_MODULE () {	1;}
}
undef(&CONFIG_NETFILTER_XT_MATCH_DCCP) if defined(&CONFIG_NETFILTER_XT_MATCH_DCCP);
undef(&CONFIG_NETFILTER_XT_MATCH_ESP) if defined(&CONFIG_NETFILTER_XT_MATCH_ESP);
unless(defined(&CONFIG_NETFILTER_XT_MATCH_HELPER_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_HELPER_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_LENGTH_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_LENGTH_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_LIMIT_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_LIMIT_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_MAC_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_MAC_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_MARK_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_MARK_MODULE () {	1;}
}
undef(&CONFIG_NETFILTER_XT_MATCH_MULTIPORT) if defined(&CONFIG_NETFILTER_XT_MATCH_MULTIPORT);
unless(defined(&CONFIG_NETFILTER_XT_MATCH_PKTTYPE_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_PKTTYPE_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_REALM_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_REALM_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_SCTP_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_SCTP_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_STATE_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_STATE_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_STRING_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_STRING_MODULE () {	1;}
}
unless(defined(&CONFIG_NETFILTER_XT_MATCH_TCPMSS_MODULE)) {
    sub CONFIG_NETFILTER_XT_MATCH_TCPMSS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_CONNTRACK_MODULE)) {
    sub CONFIG_IP_NF_CONNTRACK_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_CT_ACCT) if defined(&CONFIG_IP_NF_CT_ACCT);
undef(&CONFIG_IP_NF_CONNTRACK_MARK) if defined(&CONFIG_IP_NF_CONNTRACK_MARK);
undef(&CONFIG_IP_NF_CONNTRACK_EVENTS) if defined(&CONFIG_IP_NF_CONNTRACK_EVENTS);
undef(&CONFIG_IP_NF_CT_PROTO_SCTP) if defined(&CONFIG_IP_NF_CT_PROTO_SCTP);
unless(defined(&CONFIG_IP_NF_FTP_MODULE)) {
    sub CONFIG_IP_NF_FTP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_IRC_MODULE)) {
    sub CONFIG_IP_NF_IRC_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NETBIOS_NS_MODULE)) {
    sub CONFIG_IP_NF_NETBIOS_NS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TFTP_MODULE)) {
    sub CONFIG_IP_NF_TFTP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_AMANDA_MODULE)) {
    sub CONFIG_IP_NF_AMANDA_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_PPTP_MODULE)) {
    sub CONFIG_IP_NF_PPTP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_H323) if defined(&CONFIG_IP_NF_H323);
undef(&CONFIG_IP_NF_QUEUE) if defined(&CONFIG_IP_NF_QUEUE);
unless(defined(&CONFIG_IP_NF_IPTABLES_MODULE)) {
    sub CONFIG_IP_NF_IPTABLES_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_IPRANGE_MODULE)) {
    sub CONFIG_IP_NF_MATCH_IPRANGE_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_TOS_MODULE)) {
    sub CONFIG_IP_NF_MATCH_TOS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_RECENT_MODULE)) {
    sub CONFIG_IP_NF_MATCH_RECENT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_ECN_MODULE)) {
    sub CONFIG_IP_NF_MATCH_ECN_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_DSCP_MODULE)) {
    sub CONFIG_IP_NF_MATCH_DSCP_MODULE () {	1;}
}
undef(&CONFIG_IP_NF_MATCH_AH) if defined(&CONFIG_IP_NF_MATCH_AH);
unless(defined(&CONFIG_IP_NF_MATCH_TTL_MODULE)) {
    sub CONFIG_IP_NF_MATCH_TTL_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_OWNER_MODULE)) {
    sub CONFIG_IP_NF_MATCH_OWNER_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_ADDRTYPE_MODULE)) {
    sub CONFIG_IP_NF_MATCH_ADDRTYPE_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MATCH_HASHLIMIT_MODULE)) {
    sub CONFIG_IP_NF_MATCH_HASHLIMIT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_FILTER_MODULE)) {
    sub CONFIG_IP_NF_FILTER_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_REJECT_MODULE)) {
    sub CONFIG_IP_NF_TARGET_REJECT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_LOG_MODULE)) {
    sub CONFIG_IP_NF_TARGET_LOG_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_ULOG_MODULE)) {
    sub CONFIG_IP_NF_TARGET_ULOG_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_TCPMSS_MODULE)) {
    sub CONFIG_IP_NF_TARGET_TCPMSS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_MODULE)) {
    sub CONFIG_IP_NF_NAT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_NEEDED)) {
    sub CONFIG_IP_NF_NAT_NEEDED () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_MASQUERADE_MODULE)) {
    sub CONFIG_IP_NF_TARGET_MASQUERADE_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_REDIRECT_MODULE)) {
    sub CONFIG_IP_NF_TARGET_REDIRECT_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_NETMAP_MODULE)) {
    sub CONFIG_IP_NF_TARGET_NETMAP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_SAME_MODULE)) {
    sub CONFIG_IP_NF_TARGET_SAME_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_SNMP_BASIC_MODULE)) {
    sub CONFIG_IP_NF_NAT_SNMP_BASIC_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_IRC_MODULE)) {
    sub CONFIG_IP_NF_NAT_IRC_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_FTP_MODULE)) {
    sub CONFIG_IP_NF_NAT_FTP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_TFTP_MODULE)) {
    sub CONFIG_IP_NF_NAT_TFTP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_AMANDA_MODULE)) {
    sub CONFIG_IP_NF_NAT_AMANDA_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_NAT_PPTP_MODULE)) {
    sub CONFIG_IP_NF_NAT_PPTP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_MANGLE_MODULE)) {
    sub CONFIG_IP_NF_MANGLE_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_TOS_MODULE)) {
    sub CONFIG_IP_NF_TARGET_TOS_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_ECN_MODULE)) {
    sub CONFIG_IP_NF_TARGET_ECN_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_DSCP_MODULE)) {
    sub CONFIG_IP_NF_TARGET_DSCP_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_TARGET_TTL_MODULE)) {
    sub CONFIG_IP_NF_TARGET_TTL_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_RAW_MODULE)) {
    sub CONFIG_IP_NF_RAW_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_ARPTABLES_MODULE)) {
    sub CONFIG_IP_NF_ARPTABLES_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_ARPFILTER_MODULE)) {
    sub CONFIG_IP_NF_ARPFILTER_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_NF_ARP_MANGLE_MODULE)) {
    sub CONFIG_IP_NF_ARP_MANGLE_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_DCCP_MODULE)) {
    sub CONFIG_IP_DCCP_MODULE () {	1;}
}
unless(defined(&CONFIG_INET_DCCP_DIAG_MODULE)) {
    sub CONFIG_INET_DCCP_DIAG_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_DCCP_ACKVEC)) {
    sub CONFIG_IP_DCCP_ACKVEC () {	1;}
}
unless(defined(&CONFIG_IP_DCCP_CCID2_MODULE)) {
    sub CONFIG_IP_DCCP_CCID2_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_DCCP_CCID3_MODULE)) {
    sub CONFIG_IP_DCCP_CCID3_MODULE () {	1;}
}
unless(defined(&CONFIG_IP_DCCP_TFRC_LIB_MODULE)) {
    sub CONFIG_IP_DCCP_TFRC_LIB_MODULE () {	1;}
}
undef(&CONFIG_IP_DCCP_DEBUG) if defined(&CONFIG_IP_DCCP_DEBUG);
undef(&CONFIG_IP_SCTP) if defined(&CONFIG_IP_SCTP);
undef(&CONFIG_TIPC) if defined(&CONFIG_TIPC);
undef(&CONFIG_ATM) if defined(&CONFIG_ATM);
undef(&CONFIG_BRIDGE) if defined(&CONFIG_BRIDGE);
undef(&CONFIG_VLAN_8021Q) if defined(&CONFIG_VLAN_8021Q);
undef(&CONFIG_DECNET) if defined(&CONFIG_DECNET);
undef(&CONFIG_LLC2) if defined(&CONFIG_LLC2);
undef(&CONFIG_IPX) if defined(&CONFIG_IPX);
undef(&CONFIG_ATALK) if defined(&CONFIG_ATALK);
undef(&CONFIG_X25) if defined(&CONFIG_X25);
undef(&CONFIG_LAPB) if defined(&CONFIG_LAPB);
undef(&CONFIG_NET_DIVERT) if defined(&CONFIG_NET_DIVERT);
undef(&CONFIG_ECONET) if defined(&CONFIG_ECONET);
undef(&CONFIG_WAN_ROUTER) if defined(&CONFIG_WAN_ROUTER);
undef(&CONFIG_NET_SCHED) if defined(&CONFIG_NET_SCHED);
unless(defined(&CONFIG_NET_CLS_ROUTE)) {
    sub CONFIG_NET_CLS_ROUTE () {	1;}
}
undef(&CONFIG_NET_PKTGEN) if defined(&CONFIG_NET_PKTGEN);
undef(&CONFIG_HAMRADIO) if defined(&CONFIG_HAMRADIO);
unless(defined(&CONFIG_IRDA_MODULE)) {
    sub CONFIG_IRDA_MODULE () {	1;}
}
unless(defined(&CONFIG_IRLAN_MODULE)) {
    sub CONFIG_IRLAN_MODULE () {	1;}
}
unless(defined(&CONFIG_IRNET_MODULE)) {
    sub CONFIG_IRNET_MODULE () {	1;}
}
unless(defined(&CONFIG_IRCOMM_MODULE)) {
    sub CONFIG_IRCOMM_MODULE () {	1;}
}
undef(&CONFIG_IRDA_ULTRA) if defined(&CONFIG_IRDA_ULTRA);
unless(defined(&CONFIG_IRDA_CACHE_LAST_LSAP)) {
    sub CONFIG_IRDA_CACHE_LAST_LSAP () {	1;}
}
unless(defined(&CONFIG_IRDA_FAST_RR)) {
    sub CONFIG_IRDA_FAST_RR () {	1;}
}
undef(&CONFIG_IRDA_DEBUG) if defined(&CONFIG_IRDA_DEBUG);
unless(defined(&CONFIG_IRTTY_SIR_MODULE)) {
    sub CONFIG_IRTTY_SIR_MODULE () {	1;}
}
undef(&CONFIG_DONGLE) if defined(&CONFIG_DONGLE);
undef(&CONFIG_IRPORT_SIR) if defined(&CONFIG_IRPORT_SIR);
undef(&CONFIG_USB_IRDA) if defined(&CONFIG_USB_IRDA);
undef(&CONFIG_SIGMATEL_FIR) if defined(&CONFIG_SIGMATEL_FIR);
undef(&CONFIG_NSC_FIR) if defined(&CONFIG_NSC_FIR);
undef(&CONFIG_WINBOND_FIR) if defined(&CONFIG_WINBOND_FIR);
undef(&CONFIG_TOSHIBA_FIR) if defined(&CONFIG_TOSHIBA_FIR);
undef(&CONFIG_SMC_IRCC_FIR) if defined(&CONFIG_SMC_IRCC_FIR);
undef(&CONFIG_ALI_FIR) if defined(&CONFIG_ALI_FIR);
undef(&CONFIG_VLSI_FIR) if defined(&CONFIG_VLSI_FIR);
undef(&CONFIG_VIA_FIR) if defined(&CONFIG_VIA_FIR);
unless(defined(&CONFIG_BT_MODULE)) {
    sub CONFIG_BT_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_L2CAP_MODULE)) {
    sub CONFIG_BT_L2CAP_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_SCO_MODULE)) {
    sub CONFIG_BT_SCO_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_RFCOMM_MODULE)) {
    sub CONFIG_BT_RFCOMM_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_RFCOMM_TTY)) {
    sub CONFIG_BT_RFCOMM_TTY () {	1;}
}
unless(defined(&CONFIG_BT_BNEP_MODULE)) {
    sub CONFIG_BT_BNEP_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_BNEP_MC_FILTER)) {
    sub CONFIG_BT_BNEP_MC_FILTER () {	1;}
}
unless(defined(&CONFIG_BT_BNEP_PROTO_FILTER)) {
    sub CONFIG_BT_BNEP_PROTO_FILTER () {	1;}
}
unless(defined(&CONFIG_BT_HIDP_MODULE)) {
    sub CONFIG_BT_HIDP_MODULE () {	1;}
}
unless(defined(&CONFIG_BT_HCIUSB_MODULE)) {
    sub CONFIG_BT_HCIUSB_MODULE () {	1;}
}
undef(&CONFIG_BT_HCIUSB_SCO) if defined(&CONFIG_BT_HCIUSB_SCO);
undef(&CONFIG_BT_HCIUART) if defined(&CONFIG_BT_HCIUART);
unless(defined(&CONFIG_BT_HCIBCM203X_MODULE)) {
    sub CONFIG_BT_HCIBCM203X_MODULE () {	1;}
}
undef(&CONFIG_BT_HCIBPA10X) if defined(&CONFIG_BT_HCIBPA10X);
unless(defined(&CONFIG_BT_HCIBFUSB_MODULE)) {
    sub CONFIG_BT_HCIBFUSB_MODULE () {	1;}
}
undef(&CONFIG_BT_HCIDTL1) if defined(&CONFIG_BT_HCIDTL1);
undef(&CONFIG_BT_HCIBT3C) if defined(&CONFIG_BT_HCIBT3C);
undef(&CONFIG_BT_HCIBLUECARD) if defined(&CONFIG_BT_HCIBLUECARD);
undef(&CONFIG_BT_HCIBTUART) if defined(&CONFIG_BT_HCIBTUART);
undef(&CONFIG_BT_HCIVHCI) if defined(&CONFIG_BT_HCIVHCI);
unless(defined(&CONFIG_IEEE80211_MODULE)) {
    sub CONFIG_IEEE80211_MODULE () {	1;}
}
undef(&CONFIG_IEEE80211_DEBUG) if defined(&CONFIG_IEEE80211_DEBUG);
unless(defined(&CONFIG_IEEE80211_CRYPT_WEP_MODULE)) {
    sub CONFIG_IEEE80211_CRYPT_WEP_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE80211_CRYPT_CCMP_MODULE)) {
    sub CONFIG_IEEE80211_CRYPT_CCMP_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE80211_CRYPT_TKIP_MODULE)) {
    sub CONFIG_IEEE80211_CRYPT_TKIP_MODULE () {	1;}
}
undef(&CONFIG_IEEE80211_SOFTMAC) if defined(&CONFIG_IEEE80211_SOFTMAC);
unless(defined(&CONFIG_WIRELESS_EXT)) {
    sub CONFIG_WIRELESS_EXT () {	1;}
}
undef(&CONFIG_STANDALONE) if defined(&CONFIG_STANDALONE);
unless(defined(&CONFIG_PREVENT_FIRMWARE_BUILD)) {
    sub CONFIG_PREVENT_FIRMWARE_BUILD () {	1;}
}
unless(defined(&CONFIG_FW_LOADER)) {
    sub CONFIG_FW_LOADER () {	1;}
}
undef(&CONFIG_DEBUG_DRIVER) if defined(&CONFIG_DEBUG_DRIVER);
unless(defined(&CONFIG_CONNECTOR)) {
    sub CONFIG_CONNECTOR () {	1;}
}
unless(defined(&CONFIG_PROC_EVENTS)) {
    sub CONFIG_PROC_EVENTS () {	1;}
}
undef(&CONFIG_MTD) if defined(&CONFIG_MTD);
undef(&CONFIG_PARPORT) if defined(&CONFIG_PARPORT);
undef(&CONFIG_BLK_DEV_FD) if defined(&CONFIG_BLK_DEV_FD);
unless(defined(&CONFIG_MAC_FLOPPY_MODULE)) {
    sub CONFIG_MAC_FLOPPY_MODULE () {	1;}
}
undef(&CONFIG_BLK_CPQ_DA) if defined(&CONFIG_BLK_CPQ_DA);
undef(&CONFIG_BLK_CPQ_CISS_DA) if defined(&CONFIG_BLK_CPQ_CISS_DA);
undef(&CONFIG_BLK_DEV_DAC960) if defined(&CONFIG_BLK_DEV_DAC960);
undef(&CONFIG_BLK_DEV_UMEM) if defined(&CONFIG_BLK_DEV_UMEM);
undef(&CONFIG_BLK_DEV_COW_COMMON) if defined(&CONFIG_BLK_DEV_COW_COMMON);
unless(defined(&CONFIG_BLK_DEV_LOOP)) {
    sub CONFIG_BLK_DEV_LOOP () {	1;}
}
undef(&CONFIG_BLK_DEV_CRYPTOLOOP) if defined(&CONFIG_BLK_DEV_CRYPTOLOOP);
undef(&CONFIG_BLK_DEV_NBD) if defined(&CONFIG_BLK_DEV_NBD);
undef(&CONFIG_BLK_DEV_SX8) if defined(&CONFIG_BLK_DEV_SX8);
unless(defined(&CONFIG_BLK_DEV_UB_MODULE)) {
    sub CONFIG_BLK_DEV_UB_MODULE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM)) {
    sub CONFIG_BLK_DEV_RAM () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_COUNT)) {
    sub CONFIG_BLK_DEV_RAM_COUNT () {	16;}
}
unless(defined(&CONFIG_BLK_DEV_RAM_SIZE)) {
    sub CONFIG_BLK_DEV_RAM_SIZE () {	4096;}
}
unless(defined(&CONFIG_BLK_DEV_INITRD)) {
    sub CONFIG_BLK_DEV_INITRD () {	1;}
}
undef(&CONFIG_CDROM_PKTCDVD) if defined(&CONFIG_CDROM_PKTCDVD);
undef(&CONFIG_ATA_OVER_ETH) if defined(&CONFIG_ATA_OVER_ETH);
unless(defined(&CONFIG_IDE)) {
    sub CONFIG_IDE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE)) {
    sub CONFIG_BLK_DEV_IDE () {	1;}
}
undef(&CONFIG_BLK_DEV_IDE_SATA) if defined(&CONFIG_BLK_DEV_IDE_SATA);
unless(defined(&CONFIG_BLK_DEV_IDEDISK)) {
    sub CONFIG_BLK_DEV_IDEDISK () {	1;}
}
undef(&CONFIG_IDEDISK_MULTI_MODE) if defined(&CONFIG_IDEDISK_MULTI_MODE);
unless(defined(&CONFIG_BLK_DEV_IDECS_MODULE)) {
    sub CONFIG_BLK_DEV_IDECS_MODULE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDECD)) {
    sub CONFIG_BLK_DEV_IDECD () {	1;}
}
undef(&CONFIG_BLK_DEV_IDETAPE) if defined(&CONFIG_BLK_DEV_IDETAPE);
unless(defined(&CONFIG_BLK_DEV_IDEFLOPPY)) {
    sub CONFIG_BLK_DEV_IDEFLOPPY () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDESCSI)) {
    sub CONFIG_BLK_DEV_IDESCSI () {	1;}
}
undef(&CONFIG_IDE_TASK_IOCTL) if defined(&CONFIG_IDE_TASK_IOCTL);
undef(&CONFIG_IDE_GENERIC) if defined(&CONFIG_IDE_GENERIC);
unless(defined(&CONFIG_BLK_DEV_IDEPCI)) {
    sub CONFIG_BLK_DEV_IDEPCI () {	1;}
}
unless(defined(&CONFIG_IDEPCI_SHARE_IRQ)) {
    sub CONFIG_IDEPCI_SHARE_IRQ () {	1;}
}
undef(&CONFIG_BLK_DEV_OFFBOARD) if defined(&CONFIG_BLK_DEV_OFFBOARD);
unless(defined(&CONFIG_BLK_DEV_GENERIC)) {
    sub CONFIG_BLK_DEV_GENERIC () {	1;}
}
undef(&CONFIG_BLK_DEV_OPTI621) if defined(&CONFIG_BLK_DEV_OPTI621);
unless(defined(&CONFIG_BLK_DEV_SL82C105)) {
    sub CONFIG_BLK_DEV_SL82C105 () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PCI)) {
    sub CONFIG_BLK_DEV_IDEDMA_PCI () {	1;}
}
undef(&CONFIG_BLK_DEV_IDEDMA_FORCED) if defined(&CONFIG_BLK_DEV_IDEDMA_FORCED);
unless(defined(&CONFIG_IDEDMA_PCI_AUTO)) {
    sub CONFIG_IDEDMA_PCI_AUTO () {	1;}
}
undef(&CONFIG_IDEDMA_ONLYDISK) if defined(&CONFIG_IDEDMA_ONLYDISK);
undef(&CONFIG_BLK_DEV_AEC62XX) if defined(&CONFIG_BLK_DEV_AEC62XX);
undef(&CONFIG_BLK_DEV_ALI15X3) if defined(&CONFIG_BLK_DEV_ALI15X3);
undef(&CONFIG_BLK_DEV_AMD74XX) if defined(&CONFIG_BLK_DEV_AMD74XX);
undef(&CONFIG_BLK_DEV_CMD64X) if defined(&CONFIG_BLK_DEV_CMD64X);
undef(&CONFIG_BLK_DEV_TRIFLEX) if defined(&CONFIG_BLK_DEV_TRIFLEX);
undef(&CONFIG_BLK_DEV_CY82C693) if defined(&CONFIG_BLK_DEV_CY82C693);
undef(&CONFIG_BLK_DEV_CS5520) if defined(&CONFIG_BLK_DEV_CS5520);
undef(&CONFIG_BLK_DEV_CS5530) if defined(&CONFIG_BLK_DEV_CS5530);
undef(&CONFIG_BLK_DEV_HPT34X) if defined(&CONFIG_BLK_DEV_HPT34X);
undef(&CONFIG_BLK_DEV_HPT366) if defined(&CONFIG_BLK_DEV_HPT366);
undef(&CONFIG_BLK_DEV_SC1200) if defined(&CONFIG_BLK_DEV_SC1200);
undef(&CONFIG_BLK_DEV_PIIX) if defined(&CONFIG_BLK_DEV_PIIX);
undef(&CONFIG_BLK_DEV_IT821X) if defined(&CONFIG_BLK_DEV_IT821X);
undef(&CONFIG_BLK_DEV_NS87415) if defined(&CONFIG_BLK_DEV_NS87415);
undef(&CONFIG_BLK_DEV_PDC202XX_OLD) if defined(&CONFIG_BLK_DEV_PDC202XX_OLD);
unless(defined(&CONFIG_BLK_DEV_PDC202XX_NEW)) {
    sub CONFIG_BLK_DEV_PDC202XX_NEW () {	1;}
}
undef(&CONFIG_BLK_DEV_SVWKS) if defined(&CONFIG_BLK_DEV_SVWKS);
undef(&CONFIG_BLK_DEV_SIIMAGE) if defined(&CONFIG_BLK_DEV_SIIMAGE);
undef(&CONFIG_BLK_DEV_SLC90E66) if defined(&CONFIG_BLK_DEV_SLC90E66);
undef(&CONFIG_BLK_DEV_TRM290) if defined(&CONFIG_BLK_DEV_TRM290);
undef(&CONFIG_BLK_DEV_VIA82CXXX) if defined(&CONFIG_BLK_DEV_VIA82CXXX);
unless(defined(&CONFIG_BLK_DEV_IDE_PMAC)) {
    sub CONFIG_BLK_DEV_IDE_PMAC () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE_PMAC_ATA100FIRST)) {
    sub CONFIG_BLK_DEV_IDE_PMAC_ATA100FIRST () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDEDMA_PMAC)) {
    sub CONFIG_BLK_DEV_IDEDMA_PMAC () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_IDE_PMAC_BLINK)) {
    sub CONFIG_BLK_DEV_IDE_PMAC_BLINK () {	1;}
}
undef(&CONFIG_IDE_ARM) if defined(&CONFIG_IDE_ARM);
unless(defined(&CONFIG_BLK_DEV_IDEDMA)) {
    sub CONFIG_BLK_DEV_IDEDMA () {	1;}
}
undef(&CONFIG_IDEDMA_IVB) if defined(&CONFIG_IDEDMA_IVB);
unless(defined(&CONFIG_IDEDMA_AUTO)) {
    sub CONFIG_IDEDMA_AUTO () {	1;}
}
undef(&CONFIG_BLK_DEV_HD) if defined(&CONFIG_BLK_DEV_HD);
undef(&CONFIG_RAID_ATTRS) if defined(&CONFIG_RAID_ATTRS);
unless(defined(&CONFIG_SCSI)) {
    sub CONFIG_SCSI () {	1;}
}
unless(defined(&CONFIG_SCSI_PROC_FS)) {
    sub CONFIG_SCSI_PROC_FS () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SD)) {
    sub CONFIG_BLK_DEV_SD () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_ST)) {
    sub CONFIG_CHR_DEV_ST () {	1;}
}
undef(&CONFIG_CHR_DEV_OSST) if defined(&CONFIG_CHR_DEV_OSST);
unless(defined(&CONFIG_BLK_DEV_SR)) {
    sub CONFIG_BLK_DEV_SR () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_SR_VENDOR)) {
    sub CONFIG_BLK_DEV_SR_VENDOR () {	1;}
}
unless(defined(&CONFIG_CHR_DEV_SG)) {
    sub CONFIG_CHR_DEV_SG () {	1;}
}
undef(&CONFIG_CHR_DEV_SCH) if defined(&CONFIG_CHR_DEV_SCH);
undef(&CONFIG_SCSI_MULTI_LUN) if defined(&CONFIG_SCSI_MULTI_LUN);
unless(defined(&CONFIG_SCSI_CONSTANTS)) {
    sub CONFIG_SCSI_CONSTANTS () {	1;}
}
undef(&CONFIG_SCSI_LOGGING) if defined(&CONFIG_SCSI_LOGGING);
unless(defined(&CONFIG_SCSI_SPI_ATTRS)) {
    sub CONFIG_SCSI_SPI_ATTRS () {	1;}
}
unless(defined(&CONFIG_SCSI_FC_ATTRS)) {
    sub CONFIG_SCSI_FC_ATTRS () {	1;}
}
undef(&CONFIG_SCSI_ISCSI_ATTRS) if defined(&CONFIG_SCSI_ISCSI_ATTRS);
undef(&CONFIG_SCSI_SAS_ATTRS) if defined(&CONFIG_SCSI_SAS_ATTRS);
undef(&CONFIG_ISCSI_TCP) if defined(&CONFIG_ISCSI_TCP);
undef(&CONFIG_BLK_DEV_3W_XXXX_RAID) if defined(&CONFIG_BLK_DEV_3W_XXXX_RAID);
undef(&CONFIG_SCSI_3W_9XXX) if defined(&CONFIG_SCSI_3W_9XXX);
undef(&CONFIG_SCSI_ACARD) if defined(&CONFIG_SCSI_ACARD);
undef(&CONFIG_SCSI_AACRAID) if defined(&CONFIG_SCSI_AACRAID);
unless(defined(&CONFIG_SCSI_AIC7XXX_MODULE)) {
    sub CONFIG_SCSI_AIC7XXX_MODULE () {	1;}
}
unless(defined(&CONFIG_AIC7XXX_CMDS_PER_DEVICE)) {
    sub CONFIG_AIC7XXX_CMDS_PER_DEVICE () {	253;}
}
unless(defined(&CONFIG_AIC7XXX_RESET_DELAY_MS)) {
    sub CONFIG_AIC7XXX_RESET_DELAY_MS () {	15000;}
}
unless(defined(&CONFIG_AIC7XXX_DEBUG_ENABLE)) {
    sub CONFIG_AIC7XXX_DEBUG_ENABLE () {	1;}
}
unless(defined(&CONFIG_AIC7XXX_DEBUG_MASK)) {
    sub CONFIG_AIC7XXX_DEBUG_MASK () {	0;}
}
unless(defined(&CONFIG_AIC7XXX_REG_PRETTY_PRINT)) {
    sub CONFIG_AIC7XXX_REG_PRETTY_PRINT () {	1;}
}
unless(defined(&CONFIG_SCSI_AIC7XXX_OLD_MODULE)) {
    sub CONFIG_SCSI_AIC7XXX_OLD_MODULE () {	1;}
}
undef(&CONFIG_SCSI_AIC79XX) if defined(&CONFIG_SCSI_AIC79XX);
undef(&CONFIG_SCSI_DPT_I2O) if defined(&CONFIG_SCSI_DPT_I2O);
undef(&CONFIG_MEGARAID_NEWGEN) if defined(&CONFIG_MEGARAID_NEWGEN);
undef(&CONFIG_MEGARAID_LEGACY) if defined(&CONFIG_MEGARAID_LEGACY);
undef(&CONFIG_MEGARAID_SAS) if defined(&CONFIG_MEGARAID_SAS);
undef(&CONFIG_SCSI_SATA) if defined(&CONFIG_SCSI_SATA);
undef(&CONFIG_SCSI_BUSLOGIC) if defined(&CONFIG_SCSI_BUSLOGIC);
undef(&CONFIG_SCSI_DMX3191D) if defined(&CONFIG_SCSI_DMX3191D);
undef(&CONFIG_SCSI_EATA) if defined(&CONFIG_SCSI_EATA);
undef(&CONFIG_SCSI_FUTURE_DOMAIN) if defined(&CONFIG_SCSI_FUTURE_DOMAIN);
undef(&CONFIG_SCSI_GDTH) if defined(&CONFIG_SCSI_GDTH);
undef(&CONFIG_SCSI_IPS) if defined(&CONFIG_SCSI_IPS);
undef(&CONFIG_SCSI_INITIO) if defined(&CONFIG_SCSI_INITIO);
undef(&CONFIG_SCSI_INIA100) if defined(&CONFIG_SCSI_INIA100);
unless(defined(&CONFIG_SCSI_SYM53C8XX_2)) {
    sub CONFIG_SCSI_SYM53C8XX_2 () {	1;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE)) {
    sub CONFIG_SCSI_SYM53C8XX_DMA_ADDRESSING_MODE () {	0;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_DEFAULT_TAGS () {	16;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_MAX_TAGS)) {
    sub CONFIG_SCSI_SYM53C8XX_MAX_TAGS () {	64;}
}
unless(defined(&CONFIG_SCSI_SYM53C8XX_MMIO)) {
    sub CONFIG_SCSI_SYM53C8XX_MMIO () {	1;}
}
undef(&CONFIG_SCSI_IPR) if defined(&CONFIG_SCSI_IPR);
undef(&CONFIG_SCSI_QLOGIC_1280) if defined(&CONFIG_SCSI_QLOGIC_1280);
undef(&CONFIG_SCSI_QLA_FC) if defined(&CONFIG_SCSI_QLA_FC);
undef(&CONFIG_SCSI_LPFC) if defined(&CONFIG_SCSI_LPFC);
undef(&CONFIG_SCSI_DC395x) if defined(&CONFIG_SCSI_DC395x);
undef(&CONFIG_SCSI_DC390T) if defined(&CONFIG_SCSI_DC390T);
undef(&CONFIG_SCSI_NSP32) if defined(&CONFIG_SCSI_NSP32);
undef(&CONFIG_SCSI_DEBUG) if defined(&CONFIG_SCSI_DEBUG);
unless(defined(&CONFIG_SCSI_MESH)) {
    sub CONFIG_SCSI_MESH () {	1;}
}
unless(defined(&CONFIG_SCSI_MESH_SYNC_RATE)) {
    sub CONFIG_SCSI_MESH_SYNC_RATE () {	5;}
}
unless(defined(&CONFIG_SCSI_MESH_RESET_DELAY_MS)) {
    sub CONFIG_SCSI_MESH_RESET_DELAY_MS () {	4000;}
}
unless(defined(&CONFIG_SCSI_MAC53C94)) {
    sub CONFIG_SCSI_MAC53C94 () {	1;}
}
undef(&CONFIG_PCMCIA_AHA152X) if defined(&CONFIG_PCMCIA_AHA152X);
undef(&CONFIG_PCMCIA_FDOMAIN) if defined(&CONFIG_PCMCIA_FDOMAIN);
undef(&CONFIG_PCMCIA_NINJA_SCSI) if defined(&CONFIG_PCMCIA_NINJA_SCSI);
undef(&CONFIG_PCMCIA_QLOGIC) if defined(&CONFIG_PCMCIA_QLOGIC);
undef(&CONFIG_PCMCIA_SYM53C500) if defined(&CONFIG_PCMCIA_SYM53C500);
unless(defined(&CONFIG_MD)) {
    sub CONFIG_MD () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_MD_MODULE)) {
    sub CONFIG_BLK_DEV_MD_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_LINEAR_MODULE)) {
    sub CONFIG_MD_LINEAR_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_RAID0_MODULE)) {
    sub CONFIG_MD_RAID0_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_RAID1_MODULE)) {
    sub CONFIG_MD_RAID1_MODULE () {	1;}
}
undef(&CONFIG_MD_RAID10) if defined(&CONFIG_MD_RAID10);
unless(defined(&CONFIG_MD_RAID5_MODULE)) {
    sub CONFIG_MD_RAID5_MODULE () {	1;}
}
undef(&CONFIG_MD_RAID5_RESHAPE) if defined(&CONFIG_MD_RAID5_RESHAPE);
unless(defined(&CONFIG_MD_RAID6_MODULE)) {
    sub CONFIG_MD_RAID6_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_MULTIPATH_MODULE)) {
    sub CONFIG_MD_MULTIPATH_MODULE () {	1;}
}
unless(defined(&CONFIG_MD_FAULTY_MODULE)) {
    sub CONFIG_MD_FAULTY_MODULE () {	1;}
}
unless(defined(&CONFIG_BLK_DEV_DM_MODULE)) {
    sub CONFIG_BLK_DEV_DM_MODULE () {	1;}
}
unless(defined(&CONFIG_DM_CRYPT_MODULE)) {
    sub CONFIG_DM_CRYPT_MODULE () {	1;}
}
undef(&CONFIG_DM_SNAPSHOT) if defined(&CONFIG_DM_SNAPSHOT);
undef(&CONFIG_DM_MIRROR) if defined(&CONFIG_DM_MIRROR);
undef(&CONFIG_DM_ZERO) if defined(&CONFIG_DM_ZERO);
undef(&CONFIG_DM_MULTIPATH) if defined(&CONFIG_DM_MULTIPATH);
undef(&CONFIG_FUSION) if defined(&CONFIG_FUSION);
undef(&CONFIG_FUSION_SPI) if defined(&CONFIG_FUSION_SPI);
undef(&CONFIG_FUSION_FC) if defined(&CONFIG_FUSION_FC);
undef(&CONFIG_FUSION_SAS) if defined(&CONFIG_FUSION_SAS);
unless(defined(&CONFIG_IEEE1394_MODULE)) {
    sub CONFIG_IEEE1394_MODULE () {	1;}
}
undef(&CONFIG_IEEE1394_VERBOSEDEBUG) if defined(&CONFIG_IEEE1394_VERBOSEDEBUG);
undef(&CONFIG_IEEE1394_OUI_DB) if defined(&CONFIG_IEEE1394_OUI_DB);
unless(defined(&CONFIG_IEEE1394_EXTRA_CONFIG_ROMS)) {
    sub CONFIG_IEEE1394_EXTRA_CONFIG_ROMS () {	1;}
}
unless(defined(&CONFIG_IEEE1394_CONFIG_ROM_IP1394)) {
    sub CONFIG_IEEE1394_CONFIG_ROM_IP1394 () {	1;}
}
undef(&CONFIG_IEEE1394_EXPORT_FULL_API) if defined(&CONFIG_IEEE1394_EXPORT_FULL_API);
undef(&CONFIG_IEEE1394_PCILYNX) if defined(&CONFIG_IEEE1394_PCILYNX);
unless(defined(&CONFIG_IEEE1394_OHCI1394_MODULE)) {
    sub CONFIG_IEEE1394_OHCI1394_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE1394_VIDEO1394_MODULE)) {
    sub CONFIG_IEEE1394_VIDEO1394_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE1394_SBP2_MODULE)) {
    sub CONFIG_IEEE1394_SBP2_MODULE () {	1;}
}
undef(&CONFIG_IEEE1394_SBP2_PHYS_DMA) if defined(&CONFIG_IEEE1394_SBP2_PHYS_DMA);
unless(defined(&CONFIG_IEEE1394_ETH1394_MODULE)) {
    sub CONFIG_IEEE1394_ETH1394_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE1394_DV1394_MODULE)) {
    sub CONFIG_IEEE1394_DV1394_MODULE () {	1;}
}
unless(defined(&CONFIG_IEEE1394_RAWIO_MODULE)) {
    sub CONFIG_IEEE1394_RAWIO_MODULE () {	1;}
}
undef(&CONFIG_I2O) if defined(&CONFIG_I2O);
unless(defined(&CONFIG_ADB)) {
    sub CONFIG_ADB () {	1;}
}
unless(defined(&CONFIG_ADB_CUDA)) {
    sub CONFIG_ADB_CUDA () {	1;}
}
unless(defined(&CONFIG_ADB_PMU)) {
    sub CONFIG_ADB_PMU () {	1;}
}
unless(defined(&CONFIG_PMAC_APM_EMU_MODULE)) {
    sub CONFIG_PMAC_APM_EMU_MODULE () {	1;}
}
unless(defined(&CONFIG_PMAC_MEDIABAY)) {
    sub CONFIG_PMAC_MEDIABAY () {	1;}
}
unless(defined(&CONFIG_PMAC_BACKLIGHT)) {
    sub CONFIG_PMAC_BACKLIGHT () {	1;}
}
unless(defined(&CONFIG_INPUT_ADBHID)) {
    sub CONFIG_INPUT_ADBHID () {	1;}
}
unless(defined(&CONFIG_MAC_EMUMOUSEBTN)) {
    sub CONFIG_MAC_EMUMOUSEBTN () {	1;}
}
unless(defined(&CONFIG_THERM_WINDTUNNEL_MODULE)) {
    sub CONFIG_THERM_WINDTUNNEL_MODULE () {	1;}
}
unless(defined(&CONFIG_THERM_ADT746X_MODULE)) {
    sub CONFIG_THERM_ADT746X_MODULE () {	1;}
}
undef(&CONFIG_WINDFARM) if defined(&CONFIG_WINDFARM);
undef(&CONFIG_ANSLCD) if defined(&CONFIG_ANSLCD);
unless(defined(&CONFIG_NETDEVICES)) {
    sub CONFIG_NETDEVICES () {	1;}
}
undef(&CONFIG_DUMMY) if defined(&CONFIG_DUMMY);
undef(&CONFIG_BONDING) if defined(&CONFIG_BONDING);
undef(&CONFIG_EQUALIZER) if defined(&CONFIG_EQUALIZER);
undef(&CONFIG_TUN) if defined(&CONFIG_TUN);
undef(&CONFIG_ARCNET) if defined(&CONFIG_ARCNET);
undef(&CONFIG_PHYLIB) if defined(&CONFIG_PHYLIB);
unless(defined(&CONFIG_NET_ETHERNET)) {
    sub CONFIG_NET_ETHERNET () {	1;}
}
unless(defined(&CONFIG_MII)) {
    sub CONFIG_MII () {	1;}
}
unless(defined(&CONFIG_MACE)) {
    sub CONFIG_MACE () {	1;}
}
undef(&CONFIG_MACE_AAUI_PORT) if defined(&CONFIG_MACE_AAUI_PORT);
unless(defined(&CONFIG_BMAC)) {
    sub CONFIG_BMAC () {	1;}
}
undef(&CONFIG_HAPPYMEAL) if defined(&CONFIG_HAPPYMEAL);
unless(defined(&CONFIG_SUNGEM)) {
    sub CONFIG_SUNGEM () {	1;}
}
undef(&CONFIG_CASSINI) if defined(&CONFIG_CASSINI);
undef(&CONFIG_NET_VENDOR_3COM) if defined(&CONFIG_NET_VENDOR_3COM);
undef(&CONFIG_NET_TULIP) if defined(&CONFIG_NET_TULIP);
undef(&CONFIG_HP100) if defined(&CONFIG_HP100);
unless(defined(&CONFIG_NET_PCI)) {
    sub CONFIG_NET_PCI () {	1;}
}
unless(defined(&CONFIG_PCNET32)) {
    sub CONFIG_PCNET32 () {	1;}
}
undef(&CONFIG_AMD8111_ETH) if defined(&CONFIG_AMD8111_ETH);
undef(&CONFIG_ADAPTEC_STARFIRE) if defined(&CONFIG_ADAPTEC_STARFIRE);
undef(&CONFIG_B44) if defined(&CONFIG_B44);
undef(&CONFIG_FORCEDETH) if defined(&CONFIG_FORCEDETH);
undef(&CONFIG_DGRS) if defined(&CONFIG_DGRS);
undef(&CONFIG_EEPRO100) if defined(&CONFIG_EEPRO100);
undef(&CONFIG_E100) if defined(&CONFIG_E100);
undef(&CONFIG_FEALNX) if defined(&CONFIG_FEALNX);
undef(&CONFIG_NATSEMI) if defined(&CONFIG_NATSEMI);
undef(&CONFIG_NE2K_PCI) if defined(&CONFIG_NE2K_PCI);
undef(&CONFIG_8139CP) if defined(&CONFIG_8139CP);
undef(&CONFIG_8139TOO) if defined(&CONFIG_8139TOO);
undef(&CONFIG_SIS900) if defined(&CONFIG_SIS900);
undef(&CONFIG_EPIC100) if defined(&CONFIG_EPIC100);
undef(&CONFIG_SUNDANCE) if defined(&CONFIG_SUNDANCE);
undef(&CONFIG_TLAN) if defined(&CONFIG_TLAN);
undef(&CONFIG_VIA_RHINE) if defined(&CONFIG_VIA_RHINE);
undef(&CONFIG_ACENIC) if defined(&CONFIG_ACENIC);
undef(&CONFIG_DL2K) if defined(&CONFIG_DL2K);
undef(&CONFIG_E1000) if defined(&CONFIG_E1000);
undef(&CONFIG_NS83820) if defined(&CONFIG_NS83820);
undef(&CONFIG_HAMACHI) if defined(&CONFIG_HAMACHI);
undef(&CONFIG_YELLOWFIN) if defined(&CONFIG_YELLOWFIN);
undef(&CONFIG_R8169) if defined(&CONFIG_R8169);
undef(&CONFIG_SIS190) if defined(&CONFIG_SIS190);
undef(&CONFIG_SKGE) if defined(&CONFIG_SKGE);
undef(&CONFIG_SKY2) if defined(&CONFIG_SKY2);
undef(&CONFIG_SK98LIN) if defined(&CONFIG_SK98LIN);
undef(&CONFIG_VIA_VELOCITY) if defined(&CONFIG_VIA_VELOCITY);
undef(&CONFIG_TIGON3) if defined(&CONFIG_TIGON3);
undef(&CONFIG_BNX2) if defined(&CONFIG_BNX2);
undef(&CONFIG_MV643XX_ETH) if defined(&CONFIG_MV643XX_ETH);
undef(&CONFIG_CHELSIO_T1) if defined(&CONFIG_CHELSIO_T1);
undef(&CONFIG_IXGB) if defined(&CONFIG_IXGB);
undef(&CONFIG_S2IO) if defined(&CONFIG_S2IO);
undef(&CONFIG_TR) if defined(&CONFIG_TR);
unless(defined(&CONFIG_NET_RADIO)) {
    sub CONFIG_NET_RADIO () {	1;}
}
undef(&CONFIG_NET_WIRELESS_RTNETLINK) if defined(&CONFIG_NET_WIRELESS_RTNETLINK);
undef(&CONFIG_STRIP) if defined(&CONFIG_STRIP);
undef(&CONFIG_PCMCIA_WAVELAN) if defined(&CONFIG_PCMCIA_WAVELAN);
undef(&CONFIG_PCMCIA_NETWAVE) if defined(&CONFIG_PCMCIA_NETWAVE);
undef(&CONFIG_PCMCIA_RAYCS) if defined(&CONFIG_PCMCIA_RAYCS);
undef(&CONFIG_IPW2100) if defined(&CONFIG_IPW2100);
undef(&CONFIG_IPW2200) if defined(&CONFIG_IPW2200);
undef(&CONFIG_AIRO) if defined(&CONFIG_AIRO);
unless(defined(&CONFIG_HERMES_MODULE)) {
    sub CONFIG_HERMES_MODULE () {	1;}
}
unless(defined(&CONFIG_APPLE_AIRPORT_MODULE)) {
    sub CONFIG_APPLE_AIRPORT_MODULE () {	1;}
}
undef(&CONFIG_PLX_HERMES) if defined(&CONFIG_PLX_HERMES);
undef(&CONFIG_TMD_HERMES) if defined(&CONFIG_TMD_HERMES);
undef(&CONFIG_NORTEL_HERMES) if defined(&CONFIG_NORTEL_HERMES);
undef(&CONFIG_PCI_HERMES) if defined(&CONFIG_PCI_HERMES);
undef(&CONFIG_ATMEL) if defined(&CONFIG_ATMEL);
undef(&CONFIG_PCMCIA_HERMES) if defined(&CONFIG_PCMCIA_HERMES);
undef(&CONFIG_PCMCIA_SPECTRUM) if defined(&CONFIG_PCMCIA_SPECTRUM);
undef(&CONFIG_AIRO_CS) if defined(&CONFIG_AIRO_CS);
undef(&CONFIG_PCMCIA_WL3501) if defined(&CONFIG_PCMCIA_WL3501);
unless(defined(&CONFIG_PRISM54_MODULE)) {
    sub CONFIG_PRISM54_MODULE () {	1;}
}
undef(&CONFIG_HOSTAP) if defined(&CONFIG_HOSTAP);
unless(defined(&CONFIG_NET_WIRELESS)) {
    sub CONFIG_NET_WIRELESS () {	1;}
}
undef(&CONFIG_NET_PCMCIA) if defined(&CONFIG_NET_PCMCIA);
undef(&CONFIG_WAN) if defined(&CONFIG_WAN);
undef(&CONFIG_FDDI) if defined(&CONFIG_FDDI);
undef(&CONFIG_HIPPI) if defined(&CONFIG_HIPPI);
unless(defined(&CONFIG_PPP)) {
    sub CONFIG_PPP () {	1;}
}
unless(defined(&CONFIG_PPP_MULTILINK)) {
    sub CONFIG_PPP_MULTILINK () {	1;}
}
undef(&CONFIG_PPP_FILTER) if defined(&CONFIG_PPP_FILTER);
unless(defined(&CONFIG_PPP_ASYNC)) {
    sub CONFIG_PPP_ASYNC () {	1;}
}
unless(defined(&CONFIG_PPP_SYNC_TTY_MODULE)) {
    sub CONFIG_PPP_SYNC_TTY_MODULE () {	1;}
}
unless(defined(&CONFIG_PPP_DEFLATE)) {
    sub CONFIG_PPP_DEFLATE () {	1;}
}
unless(defined(&CONFIG_PPP_BSDCOMP_MODULE)) {
    sub CONFIG_PPP_BSDCOMP_MODULE () {	1;}
}
undef(&CONFIG_PPP_MPPE) if defined(&CONFIG_PPP_MPPE);
undef(&CONFIG_PPPOE) if defined(&CONFIG_PPPOE);
undef(&CONFIG_SLIP) if defined(&CONFIG_SLIP);
undef(&CONFIG_NET_FC) if defined(&CONFIG_NET_FC);
undef(&CONFIG_SHAPER) if defined(&CONFIG_SHAPER);
undef(&CONFIG_NETCONSOLE) if defined(&CONFIG_NETCONSOLE);
undef(&CONFIG_NETPOLL) if defined(&CONFIG_NETPOLL);
undef(&CONFIG_NET_POLL_CONTROLLER) if defined(&CONFIG_NET_POLL_CONTROLLER);
undef(&CONFIG_ISDN) if defined(&CONFIG_ISDN);
undef(&CONFIG_PHONE) if defined(&CONFIG_PHONE);
unless(defined(&CONFIG_INPUT)) {
    sub CONFIG_INPUT () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV)) {
    sub CONFIG_INPUT_MOUSEDEV () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_PSAUX)) {
    sub CONFIG_INPUT_MOUSEDEV_PSAUX () {	1;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_X)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_X () {	1024;}
}
unless(defined(&CONFIG_INPUT_MOUSEDEV_SCREEN_Y)) {
    sub CONFIG_INPUT_MOUSEDEV_SCREEN_Y () {	768;}
}
undef(&CONFIG_INPUT_JOYDEV) if defined(&CONFIG_INPUT_JOYDEV);
undef(&CONFIG_INPUT_TSDEV) if defined(&CONFIG_INPUT_TSDEV);
unless(defined(&CONFIG_INPUT_EVDEV)) {
    sub CONFIG_INPUT_EVDEV () {	1;}
}
undef(&CONFIG_INPUT_EVBUG) if defined(&CONFIG_INPUT_EVBUG);
unless(defined(&CONFIG_INPUT_KEYBOARD)) {
    sub CONFIG_INPUT_KEYBOARD () {	1;}
}
undef(&CONFIG_KEYBOARD_ATKBD) if defined(&CONFIG_KEYBOARD_ATKBD);
undef(&CONFIG_KEYBOARD_SUNKBD) if defined(&CONFIG_KEYBOARD_SUNKBD);
undef(&CONFIG_KEYBOARD_LKKBD) if defined(&CONFIG_KEYBOARD_LKKBD);
undef(&CONFIG_KEYBOARD_XTKBD) if defined(&CONFIG_KEYBOARD_XTKBD);
undef(&CONFIG_KEYBOARD_NEWTON) if defined(&CONFIG_KEYBOARD_NEWTON);
unless(defined(&CONFIG_INPUT_MOUSE)) {
    sub CONFIG_INPUT_MOUSE () {	1;}
}
undef(&CONFIG_MOUSE_PS2) if defined(&CONFIG_MOUSE_PS2);
undef(&CONFIG_MOUSE_SERIAL) if defined(&CONFIG_MOUSE_SERIAL);
undef(&CONFIG_MOUSE_VSXXXAA) if defined(&CONFIG_MOUSE_VSXXXAA);
undef(&CONFIG_INPUT_JOYSTICK) if defined(&CONFIG_INPUT_JOYSTICK);
undef(&CONFIG_INPUT_TOUCHSCREEN) if defined(&CONFIG_INPUT_TOUCHSCREEN);
undef(&CONFIG_INPUT_MISC) if defined(&CONFIG_INPUT_MISC);
unless(defined(&CONFIG_SERIO)) {
    sub CONFIG_SERIO () {	1;}
}
undef(&CONFIG_SERIO_I8042) if defined(&CONFIG_SERIO_I8042);
undef(&CONFIG_SERIO_SERPORT) if defined(&CONFIG_SERIO_SERPORT);
undef(&CONFIG_SERIO_PCIPS2) if defined(&CONFIG_SERIO_PCIPS2);
undef(&CONFIG_SERIO_RAW) if defined(&CONFIG_SERIO_RAW);
undef(&CONFIG_GAMEPORT) if defined(&CONFIG_GAMEPORT);
unless(defined(&CONFIG_VT)) {
    sub CONFIG_VT () {	1;}
}
unless(defined(&CONFIG_VT_CONSOLE)) {
    sub CONFIG_VT_CONSOLE () {	1;}
}
unless(defined(&CONFIG_HW_CONSOLE)) {
    sub CONFIG_HW_CONSOLE () {	1;}
}
undef(&CONFIG_SERIAL_NONSTANDARD) if defined(&CONFIG_SERIAL_NONSTANDARD);
unless(defined(&CONFIG_SERIAL_8250_MODULE)) {
    sub CONFIG_SERIAL_8250_MODULE () {	1;}
}
unless(defined(&CONFIG_SERIAL_8250_PCI_MODULE)) {
    sub CONFIG_SERIAL_8250_PCI_MODULE () {	1;}
}
undef(&CONFIG_SERIAL_8250_CS) if defined(&CONFIG_SERIAL_8250_CS);
unless(defined(&CONFIG_SERIAL_8250_NR_UARTS)) {
    sub CONFIG_SERIAL_8250_NR_UARTS () {	4;}
}
unless(defined(&CONFIG_SERIAL_8250_RUNTIME_UARTS)) {
    sub CONFIG_SERIAL_8250_RUNTIME_UARTS () {	4;}
}
undef(&CONFIG_SERIAL_8250_EXTENDED) if defined(&CONFIG_SERIAL_8250_EXTENDED);
unless(defined(&CONFIG_SERIAL_CORE_MODULE)) {
    sub CONFIG_SERIAL_CORE_MODULE () {	1;}
}
unless(defined(&CONFIG_SERIAL_PMACZILOG_MODULE)) {
    sub CONFIG_SERIAL_PMACZILOG_MODULE () {	1;}
}
undef(&CONFIG_SERIAL_JSM) if defined(&CONFIG_SERIAL_JSM);
unless(defined(&CONFIG_UNIX98_PTYS)) {
    sub CONFIG_UNIX98_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTYS)) {
    sub CONFIG_LEGACY_PTYS () {	1;}
}
unless(defined(&CONFIG_LEGACY_PTY_COUNT)) {
    sub CONFIG_LEGACY_PTY_COUNT () {	256;}
}
undef(&CONFIG_IPMI_HANDLER) if defined(&CONFIG_IPMI_HANDLER);
undef(&CONFIG_WATCHDOG) if defined(&CONFIG_WATCHDOG);
unless(defined(&CONFIG_NVRAM)) {
    sub CONFIG_NVRAM () {	1;}
}
unless(defined(&CONFIG_GEN_RTC)) {
    sub CONFIG_GEN_RTC () {	1;}
}
undef(&CONFIG_GEN_RTC_X) if defined(&CONFIG_GEN_RTC_X);
undef(&CONFIG_DTLK) if defined(&CONFIG_DTLK);
undef(&CONFIG_R3964) if defined(&CONFIG_R3964);
undef(&CONFIG_APPLICOM) if defined(&CONFIG_APPLICOM);
unless(defined(&CONFIG_AGP_MODULE)) {
    sub CONFIG_AGP_MODULE () {	1;}
}
undef(&CONFIG_AGP_SIS) if defined(&CONFIG_AGP_SIS);
undef(&CONFIG_AGP_VIA) if defined(&CONFIG_AGP_VIA);
unless(defined(&CONFIG_AGP_UNINORTH_MODULE)) {
    sub CONFIG_AGP_UNINORTH_MODULE () {	1;}
}
unless(defined(&CONFIG_DRM_MODULE)) {
    sub CONFIG_DRM_MODULE () {	1;}
}
undef(&CONFIG_DRM_TDFX) if defined(&CONFIG_DRM_TDFX);
unless(defined(&CONFIG_DRM_R128_MODULE)) {
    sub CONFIG_DRM_R128_MODULE () {	1;}
}
unless(defined(&CONFIG_DRM_RADEON_MODULE)) {
    sub CONFIG_DRM_RADEON_MODULE () {	1;}
}
undef(&CONFIG_DRM_MGA) if defined(&CONFIG_DRM_MGA);
undef(&CONFIG_DRM_SIS) if defined(&CONFIG_DRM_SIS);
undef(&CONFIG_DRM_VIA) if defined(&CONFIG_DRM_VIA);
undef(&CONFIG_DRM_SAVAGE) if defined(&CONFIG_DRM_SAVAGE);
undef(&CONFIG_SYNCLINK_CS) if defined(&CONFIG_SYNCLINK_CS);
undef(&CONFIG_CARDMAN_4000) if defined(&CONFIG_CARDMAN_4000);
undef(&CONFIG_CARDMAN_4040) if defined(&CONFIG_CARDMAN_4040);
undef(&CONFIG_RAW_DRIVER) if defined(&CONFIG_RAW_DRIVER);
undef(&CONFIG_TCG_TPM) if defined(&CONFIG_TCG_TPM);
undef(&CONFIG_TELCLOCK) if defined(&CONFIG_TELCLOCK);
unless(defined(&CONFIG_I2C)) {
    sub CONFIG_I2C () {	1;}
}
unless(defined(&CONFIG_I2C_CHARDEV_MODULE)) {
    sub CONFIG_I2C_CHARDEV_MODULE () {	1;}
}
unless(defined(&CONFIG_I2C_ALGOBIT)) {
    sub CONFIG_I2C_ALGOBIT () {	1;}
}
undef(&CONFIG_I2C_ALGOPCF) if defined(&CONFIG_I2C_ALGOPCF);
undef(&CONFIG_I2C_ALGOPCA) if defined(&CONFIG_I2C_ALGOPCA);
undef(&CONFIG_I2C_ALI1535) if defined(&CONFIG_I2C_ALI1535);
undef(&CONFIG_I2C_ALI1563) if defined(&CONFIG_I2C_ALI1563);
undef(&CONFIG_I2C_ALI15X3) if defined(&CONFIG_I2C_ALI15X3);
undef(&CONFIG_I2C_AMD756) if defined(&CONFIG_I2C_AMD756);
undef(&CONFIG_I2C_AMD8111) if defined(&CONFIG_I2C_AMD8111);
undef(&CONFIG_I2C_I801) if defined(&CONFIG_I2C_I801);
undef(&CONFIG_I2C_I810) if defined(&CONFIG_I2C_I810);
undef(&CONFIG_I2C_PIIX4) if defined(&CONFIG_I2C_PIIX4);
unless(defined(&CONFIG_I2C_POWERMAC)) {
    sub CONFIG_I2C_POWERMAC () {	1;}
}
undef(&CONFIG_I2C_MPC) if defined(&CONFIG_I2C_MPC);
undef(&CONFIG_I2C_NFORCE2) if defined(&CONFIG_I2C_NFORCE2);
undef(&CONFIG_I2C_PARPORT_LIGHT) if defined(&CONFIG_I2C_PARPORT_LIGHT);
undef(&CONFIG_I2C_PROSAVAGE) if defined(&CONFIG_I2C_PROSAVAGE);
undef(&CONFIG_I2C_SAVAGE4) if defined(&CONFIG_I2C_SAVAGE4);
undef(&CONFIG_I2C_SIS5595) if defined(&CONFIG_I2C_SIS5595);
undef(&CONFIG_I2C_SIS630) if defined(&CONFIG_I2C_SIS630);
undef(&CONFIG_I2C_SIS96X) if defined(&CONFIG_I2C_SIS96X);
undef(&CONFIG_I2C_STUB) if defined(&CONFIG_I2C_STUB);
undef(&CONFIG_I2C_VIA) if defined(&CONFIG_I2C_VIA);
undef(&CONFIG_I2C_VIAPRO) if defined(&CONFIG_I2C_VIAPRO);
undef(&CONFIG_I2C_VOODOO3) if defined(&CONFIG_I2C_VOODOO3);
undef(&CONFIG_I2C_PCA_ISA) if defined(&CONFIG_I2C_PCA_ISA);
undef(&CONFIG_SENSORS_DS1337) if defined(&CONFIG_SENSORS_DS1337);
undef(&CONFIG_SENSORS_DS1374) if defined(&CONFIG_SENSORS_DS1374);
undef(&CONFIG_SENSORS_EEPROM) if defined(&CONFIG_SENSORS_EEPROM);
undef(&CONFIG_SENSORS_PCF8574) if defined(&CONFIG_SENSORS_PCF8574);
undef(&CONFIG_SENSORS_PCA9539) if defined(&CONFIG_SENSORS_PCA9539);
undef(&CONFIG_SENSORS_PCF8591) if defined(&CONFIG_SENSORS_PCF8591);
undef(&CONFIG_SENSORS_M41T00) if defined(&CONFIG_SENSORS_M41T00);
undef(&CONFIG_SENSORS_MAX6875) if defined(&CONFIG_SENSORS_MAX6875);
undef(&CONFIG_I2C_DEBUG_CORE) if defined(&CONFIG_I2C_DEBUG_CORE);
undef(&CONFIG_I2C_DEBUG_ALGO) if defined(&CONFIG_I2C_DEBUG_ALGO);
undef(&CONFIG_I2C_DEBUG_BUS) if defined(&CONFIG_I2C_DEBUG_BUS);
undef(&CONFIG_I2C_DEBUG_CHIP) if defined(&CONFIG_I2C_DEBUG_CHIP);
undef(&CONFIG_SPI) if defined(&CONFIG_SPI);
undef(&CONFIG_SPI_MASTER) if defined(&CONFIG_SPI_MASTER);
undef(&CONFIG_W1) if defined(&CONFIG_W1);
undef(&CONFIG_HWMON) if defined(&CONFIG_HWMON);
undef(&CONFIG_HWMON_VID) if defined(&CONFIG_HWMON_VID);
undef(&CONFIG_VIDEO_DEV) if defined(&CONFIG_VIDEO_DEV);
unless(defined(&CONFIG_VIDEO_V4L2)) {
    sub CONFIG_VIDEO_V4L2 () {	1;}
}
undef(&CONFIG_DVB) if defined(&CONFIG_DVB);
undef(&CONFIG_USB_DABUSB) if defined(&CONFIG_USB_DABUSB);
unless(defined(&CONFIG_FB)) {
    sub CONFIG_FB () {	1;}
}
unless(defined(&CONFIG_FB_CFB_FILLRECT)) {
    sub CONFIG_FB_CFB_FILLRECT () {	1;}
}
unless(defined(&CONFIG_FB_CFB_COPYAREA)) {
    sub CONFIG_FB_CFB_COPYAREA () {	1;}
}
unless(defined(&CONFIG_FB_CFB_IMAGEBLIT)) {
    sub CONFIG_FB_CFB_IMAGEBLIT () {	1;}
}
unless(defined(&CONFIG_FB_MACMODES)) {
    sub CONFIG_FB_MACMODES () {	1;}
}
unless(defined(&CONFIG_FB_FIRMWARE_EDID)) {
    sub CONFIG_FB_FIRMWARE_EDID () {	1;}
}
unless(defined(&CONFIG_FB_MODE_HELPERS)) {
    sub CONFIG_FB_MODE_HELPERS () {	1;}
}
unless(defined(&CONFIG_FB_TILEBLITTING)) {
    sub CONFIG_FB_TILEBLITTING () {	1;}
}
undef(&CONFIG_FB_CIRRUS) if defined(&CONFIG_FB_CIRRUS);
undef(&CONFIG_FB_PM2) if defined(&CONFIG_FB_PM2);
undef(&CONFIG_FB_CYBER2000) if defined(&CONFIG_FB_CYBER2000);
unless(defined(&CONFIG_FB_OF)) {
    sub CONFIG_FB_OF () {	1;}
}
unless(defined(&CONFIG_FB_CONTROL)) {
    sub CONFIG_FB_CONTROL () {	1;}
}
unless(defined(&CONFIG_FB_PLATINUM)) {
    sub CONFIG_FB_PLATINUM () {	1;}
}
unless(defined(&CONFIG_FB_VALKYRIE)) {
    sub CONFIG_FB_VALKYRIE () {	1;}
}
unless(defined(&CONFIG_FB_CT65550)) {
    sub CONFIG_FB_CT65550 () {	1;}
}
undef(&CONFIG_FB_ASILIANT) if defined(&CONFIG_FB_ASILIANT);
unless(defined(&CONFIG_FB_IMSTT)) {
    sub CONFIG_FB_IMSTT () {	1;}
}
undef(&CONFIG_FB_VGA16) if defined(&CONFIG_FB_VGA16);
undef(&CONFIG_FB_S1D13XXX) if defined(&CONFIG_FB_S1D13XXX);
unless(defined(&CONFIG_FB_NVIDIA)) {
    sub CONFIG_FB_NVIDIA () {	1;}
}
unless(defined(&CONFIG_FB_NVIDIA_I2C)) {
    sub CONFIG_FB_NVIDIA_I2C () {	1;}
}
undef(&CONFIG_FB_RIVA) if defined(&CONFIG_FB_RIVA);
unless(defined(&CONFIG_FB_MATROX)) {
    sub CONFIG_FB_MATROX () {	1;}
}
unless(defined(&CONFIG_FB_MATROX_MILLENIUM)) {
    sub CONFIG_FB_MATROX_MILLENIUM () {	1;}
}
unless(defined(&CONFIG_FB_MATROX_MYSTIQUE)) {
    sub CONFIG_FB_MATROX_MYSTIQUE () {	1;}
}
undef(&CONFIG_FB_MATROX_G) if defined(&CONFIG_FB_MATROX_G);
undef(&CONFIG_FB_MATROX_I2C) if defined(&CONFIG_FB_MATROX_I2C);
undef(&CONFIG_FB_MATROX_MULTIHEAD) if defined(&CONFIG_FB_MATROX_MULTIHEAD);
unless(defined(&CONFIG_FB_RADEON)) {
    sub CONFIG_FB_RADEON () {	1;}
}
unless(defined(&CONFIG_FB_RADEON_I2C)) {
    sub CONFIG_FB_RADEON_I2C () {	1;}
}
undef(&CONFIG_FB_RADEON_DEBUG) if defined(&CONFIG_FB_RADEON_DEBUG);
unless(defined(&CONFIG_FB_ATY128)) {
    sub CONFIG_FB_ATY128 () {	1;}
}
unless(defined(&CONFIG_FB_ATY)) {
    sub CONFIG_FB_ATY () {	1;}
}
unless(defined(&CONFIG_FB_ATY_CT)) {
    sub CONFIG_FB_ATY_CT () {	1;}
}
undef(&CONFIG_FB_ATY_GENERIC_LCD) if defined(&CONFIG_FB_ATY_GENERIC_LCD);
unless(defined(&CONFIG_FB_ATY_GX)) {
    sub CONFIG_FB_ATY_GX () {	1;}
}
undef(&CONFIG_FB_SAVAGE) if defined(&CONFIG_FB_SAVAGE);
undef(&CONFIG_FB_SIS) if defined(&CONFIG_FB_SIS);
undef(&CONFIG_FB_NEOMAGIC) if defined(&CONFIG_FB_NEOMAGIC);
undef(&CONFIG_FB_KYRO) if defined(&CONFIG_FB_KYRO);
unless(defined(&CONFIG_FB_3DFX)) {
    sub CONFIG_FB_3DFX () {	1;}
}
undef(&CONFIG_FB_3DFX_ACCEL) if defined(&CONFIG_FB_3DFX_ACCEL);
undef(&CONFIG_FB_VOODOO1) if defined(&CONFIG_FB_VOODOO1);
undef(&CONFIG_FB_TRIDENT) if defined(&CONFIG_FB_TRIDENT);
undef(&CONFIG_FB_VIRTUAL) if defined(&CONFIG_FB_VIRTUAL);
undef(&CONFIG_VGA_CONSOLE) if defined(&CONFIG_VGA_CONSOLE);
unless(defined(&CONFIG_DUMMY_CONSOLE)) {
    sub CONFIG_DUMMY_CONSOLE () {	1;}
}
unless(defined(&CONFIG_FRAMEBUFFER_CONSOLE)) {
    sub CONFIG_FRAMEBUFFER_CONSOLE () {	1;}
}
undef(&CONFIG_FRAMEBUFFER_CONSOLE_ROTATION) if defined(&CONFIG_FRAMEBUFFER_CONSOLE_ROTATION);
undef(&CONFIG_FONTS) if defined(&CONFIG_FONTS);
unless(defined(&CONFIG_FONT_8x8)) {
    sub CONFIG_FONT_8x8 () {	1;}
}
unless(defined(&CONFIG_FONT_8x16)) {
    sub CONFIG_FONT_8x16 () {	1;}
}
unless(defined(&CONFIG_LOGO)) {
    sub CONFIG_LOGO () {	1;}
}
unless(defined(&CONFIG_LOGO_LINUX_MONO)) {
    sub CONFIG_LOGO_LINUX_MONO () {	1;}
}
unless(defined(&CONFIG_LOGO_LINUX_VGA16)) {
    sub CONFIG_LOGO_LINUX_VGA16 () {	1;}
}
unless(defined(&CONFIG_LOGO_LINUX_CLUT224)) {
    sub CONFIG_LOGO_LINUX_CLUT224 () {	1;}
}
undef(&CONFIG_BACKLIGHT_LCD_SUPPORT) if defined(&CONFIG_BACKLIGHT_LCD_SUPPORT);
unless(defined(&CONFIG_SOUND_MODULE)) {
    sub CONFIG_SOUND_MODULE () {	1;}
}
unless(defined(&CONFIG_DMASOUND_PMAC_MODULE)) {
    sub CONFIG_DMASOUND_PMAC_MODULE () {	1;}
}
unless(defined(&CONFIG_DMASOUND_MODULE)) {
    sub CONFIG_DMASOUND_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_MODULE)) {
    sub CONFIG_SND_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_TIMER_MODULE)) {
    sub CONFIG_SND_TIMER_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_PCM_MODULE)) {
    sub CONFIG_SND_PCM_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_HWDEP_MODULE)) {
    sub CONFIG_SND_HWDEP_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_RAWMIDI_MODULE)) {
    sub CONFIG_SND_RAWMIDI_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_SEQUENCER_MODULE)) {
    sub CONFIG_SND_SEQUENCER_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_SEQ_DUMMY_MODULE)) {
    sub CONFIG_SND_SEQ_DUMMY_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_OSSEMUL)) {
    sub CONFIG_SND_OSSEMUL () {	1;}
}
unless(defined(&CONFIG_SND_MIXER_OSS_MODULE)) {
    sub CONFIG_SND_MIXER_OSS_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_PCM_OSS_MODULE)) {
    sub CONFIG_SND_PCM_OSS_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_PCM_OSS_PLUGINS)) {
    sub CONFIG_SND_PCM_OSS_PLUGINS () {	1;}
}
unless(defined(&CONFIG_SND_SEQUENCER_OSS)) {
    sub CONFIG_SND_SEQUENCER_OSS () {	1;}
}
undef(&CONFIG_SND_DYNAMIC_MINORS) if defined(&CONFIG_SND_DYNAMIC_MINORS);
unless(defined(&CONFIG_SND_SUPPORT_OLD_API)) {
    sub CONFIG_SND_SUPPORT_OLD_API () {	1;}
}
unless(defined(&CONFIG_SND_VERBOSE_PROCFS)) {
    sub CONFIG_SND_VERBOSE_PROCFS () {	1;}
}
undef(&CONFIG_SND_VERBOSE_PRINTK) if defined(&CONFIG_SND_VERBOSE_PRINTK);
undef(&CONFIG_SND_DEBUG) if defined(&CONFIG_SND_DEBUG);
unless(defined(&CONFIG_SND_DUMMY_MODULE)) {
    sub CONFIG_SND_DUMMY_MODULE () {	1;}
}
undef(&CONFIG_SND_VIRMIDI) if defined(&CONFIG_SND_VIRMIDI);
undef(&CONFIG_SND_MTPAV) if defined(&CONFIG_SND_MTPAV);
undef(&CONFIG_SND_SERIAL_U16550) if defined(&CONFIG_SND_SERIAL_U16550);
undef(&CONFIG_SND_MPU401) if defined(&CONFIG_SND_MPU401);
undef(&CONFIG_SND_AD1889) if defined(&CONFIG_SND_AD1889);
undef(&CONFIG_SND_ALS300) if defined(&CONFIG_SND_ALS300);
undef(&CONFIG_SND_ALS4000) if defined(&CONFIG_SND_ALS4000);
undef(&CONFIG_SND_ALI5451) if defined(&CONFIG_SND_ALI5451);
undef(&CONFIG_SND_ATIIXP) if defined(&CONFIG_SND_ATIIXP);
undef(&CONFIG_SND_ATIIXP_MODEM) if defined(&CONFIG_SND_ATIIXP_MODEM);
undef(&CONFIG_SND_AU8810) if defined(&CONFIG_SND_AU8810);
undef(&CONFIG_SND_AU8820) if defined(&CONFIG_SND_AU8820);
undef(&CONFIG_SND_AU8830) if defined(&CONFIG_SND_AU8830);
undef(&CONFIG_SND_AZT3328) if defined(&CONFIG_SND_AZT3328);
undef(&CONFIG_SND_BT87X) if defined(&CONFIG_SND_BT87X);
undef(&CONFIG_SND_CA0106) if defined(&CONFIG_SND_CA0106);
undef(&CONFIG_SND_CMIPCI) if defined(&CONFIG_SND_CMIPCI);
undef(&CONFIG_SND_CS4281) if defined(&CONFIG_SND_CS4281);
undef(&CONFIG_SND_CS46XX) if defined(&CONFIG_SND_CS46XX);
undef(&CONFIG_SND_EMU10K1) if defined(&CONFIG_SND_EMU10K1);
undef(&CONFIG_SND_EMU10K1X) if defined(&CONFIG_SND_EMU10K1X);
undef(&CONFIG_SND_ENS1370) if defined(&CONFIG_SND_ENS1370);
undef(&CONFIG_SND_ENS1371) if defined(&CONFIG_SND_ENS1371);
undef(&CONFIG_SND_ES1938) if defined(&CONFIG_SND_ES1938);
undef(&CONFIG_SND_ES1968) if defined(&CONFIG_SND_ES1968);
undef(&CONFIG_SND_FM801) if defined(&CONFIG_SND_FM801);
undef(&CONFIG_SND_HDA_INTEL) if defined(&CONFIG_SND_HDA_INTEL);
undef(&CONFIG_SND_HDSP) if defined(&CONFIG_SND_HDSP);
undef(&CONFIG_SND_HDSPM) if defined(&CONFIG_SND_HDSPM);
undef(&CONFIG_SND_ICE1712) if defined(&CONFIG_SND_ICE1712);
undef(&CONFIG_SND_ICE1724) if defined(&CONFIG_SND_ICE1724);
undef(&CONFIG_SND_INTEL8X0) if defined(&CONFIG_SND_INTEL8X0);
undef(&CONFIG_SND_INTEL8X0M) if defined(&CONFIG_SND_INTEL8X0M);
undef(&CONFIG_SND_KORG1212) if defined(&CONFIG_SND_KORG1212);
undef(&CONFIG_SND_MAESTRO3) if defined(&CONFIG_SND_MAESTRO3);
undef(&CONFIG_SND_MIXART) if defined(&CONFIG_SND_MIXART);
undef(&CONFIG_SND_NM256) if defined(&CONFIG_SND_NM256);
undef(&CONFIG_SND_PCXHR) if defined(&CONFIG_SND_PCXHR);
undef(&CONFIG_SND_RIPTIDE) if defined(&CONFIG_SND_RIPTIDE);
undef(&CONFIG_SND_RME32) if defined(&CONFIG_SND_RME32);
undef(&CONFIG_SND_RME96) if defined(&CONFIG_SND_RME96);
undef(&CONFIG_SND_RME9652) if defined(&CONFIG_SND_RME9652);
undef(&CONFIG_SND_SONICVIBES) if defined(&CONFIG_SND_SONICVIBES);
undef(&CONFIG_SND_TRIDENT) if defined(&CONFIG_SND_TRIDENT);
undef(&CONFIG_SND_VIA82XX) if defined(&CONFIG_SND_VIA82XX);
undef(&CONFIG_SND_VIA82XX_MODEM) if defined(&CONFIG_SND_VIA82XX_MODEM);
undef(&CONFIG_SND_VX222) if defined(&CONFIG_SND_VX222);
undef(&CONFIG_SND_YMFPCI) if defined(&CONFIG_SND_YMFPCI);
unless(defined(&CONFIG_SND_POWERMAC_MODULE)) {
    sub CONFIG_SND_POWERMAC_MODULE () {	1;}
}
unless(defined(&CONFIG_SND_POWERMAC_AUTO_DRC)) {
    sub CONFIG_SND_POWERMAC_AUTO_DRC () {	1;}
}
unless(defined(&CONFIG_SND_USB_AUDIO_MODULE)) {
    sub CONFIG_SND_USB_AUDIO_MODULE () {	1;}
}
undef(&CONFIG_SND_USB_USX2Y) if defined(&CONFIG_SND_USB_USX2Y);
undef(&CONFIG_SND_VXPOCKET) if defined(&CONFIG_SND_VXPOCKET);
undef(&CONFIG_SND_PDAUDIOCF) if defined(&CONFIG_SND_PDAUDIOCF);
undef(&CONFIG_SOUND_PRIME) if defined(&CONFIG_SOUND_PRIME);
unless(defined(&CONFIG_USB_ARCH_HAS_HCD)) {
    sub CONFIG_USB_ARCH_HAS_HCD () {	1;}
}
unless(defined(&CONFIG_USB_ARCH_HAS_OHCI)) {
    sub CONFIG_USB_ARCH_HAS_OHCI () {	1;}
}
unless(defined(&CONFIG_USB_ARCH_HAS_EHCI)) {
    sub CONFIG_USB_ARCH_HAS_EHCI () {	1;}
}
unless(defined(&CONFIG_USB)) {
    sub CONFIG_USB () {	1;}
}
undef(&CONFIG_USB_DEBUG) if defined(&CONFIG_USB_DEBUG);
unless(defined(&CONFIG_USB_DEVICEFS)) {
    sub CONFIG_USB_DEVICEFS () {	1;}
}
undef(&CONFIG_USB_BANDWIDTH) if defined(&CONFIG_USB_BANDWIDTH);
unless(defined(&CONFIG_USB_DYNAMIC_MINORS)) {
    sub CONFIG_USB_DYNAMIC_MINORS () {	1;}
}
undef(&CONFIG_USB_SUSPEND) if defined(&CONFIG_USB_SUSPEND);
undef(&CONFIG_USB_OTG) if defined(&CONFIG_USB_OTG);
undef(&CONFIG_USB_EHCI_HCD) if defined(&CONFIG_USB_EHCI_HCD);
undef(&CONFIG_USB_ISP116X_HCD) if defined(&CONFIG_USB_ISP116X_HCD);
unless(defined(&CONFIG_USB_OHCI_HCD)) {
    sub CONFIG_USB_OHCI_HCD () {	1;}
}
undef(&CONFIG_USB_OHCI_BIG_ENDIAN) if defined(&CONFIG_USB_OHCI_BIG_ENDIAN);
unless(defined(&CONFIG_USB_OHCI_LITTLE_ENDIAN)) {
    sub CONFIG_USB_OHCI_LITTLE_ENDIAN () {	1;}
}
undef(&CONFIG_USB_UHCI_HCD) if defined(&CONFIG_USB_UHCI_HCD);
undef(&CONFIG_USB_SL811_HCD) if defined(&CONFIG_USB_SL811_HCD);
unless(defined(&CONFIG_USB_ACM_MODULE)) {
    sub CONFIG_USB_ACM_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_PRINTER_MODULE)) {
    sub CONFIG_USB_PRINTER_MODULE () {	1;}
}
undef(&CONFIG_USB_STORAGE) if defined(&CONFIG_USB_STORAGE);
undef(&CONFIG_USB_LIBUSUAL) if defined(&CONFIG_USB_LIBUSUAL);
unless(defined(&CONFIG_USB_HID)) {
    sub CONFIG_USB_HID () {	1;}
}
unless(defined(&CONFIG_USB_HIDINPUT)) {
    sub CONFIG_USB_HIDINPUT () {	1;}
}
unless(defined(&CONFIG_USB_HIDINPUT_POWERBOOK)) {
    sub CONFIG_USB_HIDINPUT_POWERBOOK () {	1;}
}
undef(&CONFIG_HID_FF) if defined(&CONFIG_HID_FF);
undef(&CONFIG_USB_HIDDEV) if defined(&CONFIG_USB_HIDDEV);
undef(&CONFIG_USB_AIPTEK) if defined(&CONFIG_USB_AIPTEK);
undef(&CONFIG_USB_WACOM) if defined(&CONFIG_USB_WACOM);
undef(&CONFIG_USB_ACECAD) if defined(&CONFIG_USB_ACECAD);
undef(&CONFIG_USB_KBTAB) if defined(&CONFIG_USB_KBTAB);
undef(&CONFIG_USB_POWERMATE) if defined(&CONFIG_USB_POWERMATE);
undef(&CONFIG_USB_TOUCHSCREEN) if defined(&CONFIG_USB_TOUCHSCREEN);
undef(&CONFIG_USB_YEALINK) if defined(&CONFIG_USB_YEALINK);
undef(&CONFIG_USB_XPAD) if defined(&CONFIG_USB_XPAD);
undef(&CONFIG_USB_ATI_REMOTE) if defined(&CONFIG_USB_ATI_REMOTE);
undef(&CONFIG_USB_ATI_REMOTE2) if defined(&CONFIG_USB_ATI_REMOTE2);
undef(&CONFIG_USB_KEYSPAN_REMOTE) if defined(&CONFIG_USB_KEYSPAN_REMOTE);
unless(defined(&CONFIG_USB_APPLETOUCH)) {
    sub CONFIG_USB_APPLETOUCH () {	1;}
}
undef(&CONFIG_USB_MDC800) if defined(&CONFIG_USB_MDC800);
undef(&CONFIG_USB_MICROTEK) if defined(&CONFIG_USB_MICROTEK);
undef(&CONFIG_USB_CATC) if defined(&CONFIG_USB_CATC);
undef(&CONFIG_USB_KAWETH) if defined(&CONFIG_USB_KAWETH);
undef(&CONFIG_USB_PEGASUS) if defined(&CONFIG_USB_PEGASUS);
undef(&CONFIG_USB_RTL8150) if defined(&CONFIG_USB_RTL8150);
unless(defined(&CONFIG_USB_USBNET_MODULE)) {
    sub CONFIG_USB_USBNET_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_NET_AX8817X_MODULE)) {
    sub CONFIG_USB_NET_AX8817X_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_NET_CDCETHER_MODULE)) {
    sub CONFIG_USB_NET_CDCETHER_MODULE () {	1;}
}
undef(&CONFIG_USB_NET_GL620A) if defined(&CONFIG_USB_NET_GL620A);
unless(defined(&CONFIG_USB_NET_NET1080_MODULE)) {
    sub CONFIG_USB_NET_NET1080_MODULE () {	1;}
}
undef(&CONFIG_USB_NET_PLUSB) if defined(&CONFIG_USB_NET_PLUSB);
undef(&CONFIG_USB_NET_RNDIS_HOST) if defined(&CONFIG_USB_NET_RNDIS_HOST);
undef(&CONFIG_USB_NET_CDC_SUBSET) if defined(&CONFIG_USB_NET_CDC_SUBSET);
unless(defined(&CONFIG_USB_NET_ZAURUS_MODULE)) {
    sub CONFIG_USB_NET_ZAURUS_MODULE () {	1;}
}
undef(&CONFIG_USB_ZD1201) if defined(&CONFIG_USB_ZD1201);
unless(defined(&CONFIG_USB_MON)) {
    sub CONFIG_USB_MON () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_MODULE)) {
    sub CONFIG_USB_SERIAL_MODULE () {	1;}
}
undef(&CONFIG_USB_SERIAL_GENERIC) if defined(&CONFIG_USB_SERIAL_GENERIC);
undef(&CONFIG_USB_SERIAL_AIRPRIME) if defined(&CONFIG_USB_SERIAL_AIRPRIME);
undef(&CONFIG_USB_SERIAL_ANYDATA) if defined(&CONFIG_USB_SERIAL_ANYDATA);
undef(&CONFIG_USB_SERIAL_ARK3116) if defined(&CONFIG_USB_SERIAL_ARK3116);
undef(&CONFIG_USB_SERIAL_BELKIN) if defined(&CONFIG_USB_SERIAL_BELKIN);
undef(&CONFIG_USB_SERIAL_WHITEHEAT) if defined(&CONFIG_USB_SERIAL_WHITEHEAT);
undef(&CONFIG_USB_SERIAL_DIGI_ACCELEPORT) if defined(&CONFIG_USB_SERIAL_DIGI_ACCELEPORT);
undef(&CONFIG_USB_SERIAL_CP2101) if defined(&CONFIG_USB_SERIAL_CP2101);
undef(&CONFIG_USB_SERIAL_CYPRESS_M8) if defined(&CONFIG_USB_SERIAL_CYPRESS_M8);
undef(&CONFIG_USB_SERIAL_EMPEG) if defined(&CONFIG_USB_SERIAL_EMPEG);
undef(&CONFIG_USB_SERIAL_FTDI_SIO) if defined(&CONFIG_USB_SERIAL_FTDI_SIO);
undef(&CONFIG_USB_SERIAL_FUNSOFT) if defined(&CONFIG_USB_SERIAL_FUNSOFT);
unless(defined(&CONFIG_USB_SERIAL_VISOR_MODULE)) {
    sub CONFIG_USB_SERIAL_VISOR_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_IPAQ_MODULE)) {
    sub CONFIG_USB_SERIAL_IPAQ_MODULE () {	1;}
}
undef(&CONFIG_USB_SERIAL_IR) if defined(&CONFIG_USB_SERIAL_IR);
undef(&CONFIG_USB_SERIAL_EDGEPORT) if defined(&CONFIG_USB_SERIAL_EDGEPORT);
undef(&CONFIG_USB_SERIAL_EDGEPORT_TI) if defined(&CONFIG_USB_SERIAL_EDGEPORT_TI);
undef(&CONFIG_USB_SERIAL_GARMIN) if defined(&CONFIG_USB_SERIAL_GARMIN);
undef(&CONFIG_USB_SERIAL_IPW) if defined(&CONFIG_USB_SERIAL_IPW);
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_PDA_MODULE)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_PDA_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_MODULE)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_MODULE () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_MPR)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_MPR () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA28)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA28 () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA28X)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA28X () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA28XA)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA28XA () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA28XB)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA28XB () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA19)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA19 () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA18X)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA18X () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA19W)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA19W () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA19QW)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA19QW () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA19QI)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA19QI () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA49W)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA49W () {	1;}
}
unless(defined(&CONFIG_USB_SERIAL_KEYSPAN_USA49WLC)) {
    sub CONFIG_USB_SERIAL_KEYSPAN_USA49WLC () {	1;}
}
undef(&CONFIG_USB_SERIAL_KLSI) if defined(&CONFIG_USB_SERIAL_KLSI);
undef(&CONFIG_USB_SERIAL_KOBIL_SCT) if defined(&CONFIG_USB_SERIAL_KOBIL_SCT);
undef(&CONFIG_USB_SERIAL_MCT_U232) if defined(&CONFIG_USB_SERIAL_MCT_U232);
undef(&CONFIG_USB_SERIAL_NAVMAN) if defined(&CONFIG_USB_SERIAL_NAVMAN);
undef(&CONFIG_USB_SERIAL_PL2303) if defined(&CONFIG_USB_SERIAL_PL2303);
undef(&CONFIG_USB_SERIAL_HP4X) if defined(&CONFIG_USB_SERIAL_HP4X);
undef(&CONFIG_USB_SERIAL_SAFE) if defined(&CONFIG_USB_SERIAL_SAFE);
undef(&CONFIG_USB_SERIAL_TI) if defined(&CONFIG_USB_SERIAL_TI);
undef(&CONFIG_USB_SERIAL_CYBERJACK) if defined(&CONFIG_USB_SERIAL_CYBERJACK);
undef(&CONFIG_USB_SERIAL_XIRCOM) if defined(&CONFIG_USB_SERIAL_XIRCOM);
undef(&CONFIG_USB_SERIAL_OPTION) if defined(&CONFIG_USB_SERIAL_OPTION);
undef(&CONFIG_USB_SERIAL_OMNINET) if defined(&CONFIG_USB_SERIAL_OMNINET);
unless(defined(&CONFIG_USB_EZUSB)) {
    sub CONFIG_USB_EZUSB () {	1;}
}
undef(&CONFIG_USB_EMI62) if defined(&CONFIG_USB_EMI62);
undef(&CONFIG_USB_EMI26) if defined(&CONFIG_USB_EMI26);
undef(&CONFIG_USB_AUERSWALD) if defined(&CONFIG_USB_AUERSWALD);
undef(&CONFIG_USB_RIO500) if defined(&CONFIG_USB_RIO500);
undef(&CONFIG_USB_LEGOTOWER) if defined(&CONFIG_USB_LEGOTOWER);
undef(&CONFIG_USB_LCD) if defined(&CONFIG_USB_LCD);
undef(&CONFIG_USB_LED) if defined(&CONFIG_USB_LED);
undef(&CONFIG_USB_CYTHERM) if defined(&CONFIG_USB_CYTHERM);
undef(&CONFIG_USB_PHIDGETKIT) if defined(&CONFIG_USB_PHIDGETKIT);
undef(&CONFIG_USB_PHIDGETSERVO) if defined(&CONFIG_USB_PHIDGETSERVO);
undef(&CONFIG_USB_IDMOUSE) if defined(&CONFIG_USB_IDMOUSE);
undef(&CONFIG_USB_LD) if defined(&CONFIG_USB_LD);
undef(&CONFIG_USB_TEST) if defined(&CONFIG_USB_TEST);
undef(&CONFIG_USB_GADGET) if defined(&CONFIG_USB_GADGET);
undef(&CONFIG_MMC) if defined(&CONFIG_MMC);
undef(&CONFIG_NEW_LEDS) if defined(&CONFIG_NEW_LEDS);
undef(&CONFIG_INFINIBAND) if defined(&CONFIG_INFINIBAND);
undef(&CONFIG_RTC_CLASS) if defined(&CONFIG_RTC_CLASS);
unless(defined(&CONFIG_EXT2_FS)) {
    sub CONFIG_EXT2_FS () {	1;}
}
undef(&CONFIG_EXT2_FS_XATTR) if defined(&CONFIG_EXT2_FS_XATTR);
undef(&CONFIG_EXT2_FS_XIP) if defined(&CONFIG_EXT2_FS_XIP);
unless(defined(&CONFIG_EXT3_FS)) {
    sub CONFIG_EXT3_FS () {	1;}
}
unless(defined(&CONFIG_EXT3_FS_XATTR)) {
    sub CONFIG_EXT3_FS_XATTR () {	1;}
}
undef(&CONFIG_EXT3_FS_POSIX_ACL) if defined(&CONFIG_EXT3_FS_POSIX_ACL);
undef(&CONFIG_EXT3_FS_SECURITY) if defined(&CONFIG_EXT3_FS_SECURITY);
unless(defined(&CONFIG_JBD)) {
    sub CONFIG_JBD () {	1;}
}
undef(&CONFIG_JBD_DEBUG) if defined(&CONFIG_JBD_DEBUG);
unless(defined(&CONFIG_FS_MBCACHE)) {
    sub CONFIG_FS_MBCACHE () {	1;}
}
undef(&CONFIG_REISERFS_FS) if defined(&CONFIG_REISERFS_FS);
undef(&CONFIG_JFS_FS) if defined(&CONFIG_JFS_FS);
undef(&CONFIG_FS_POSIX_ACL) if defined(&CONFIG_FS_POSIX_ACL);
undef(&CONFIG_XFS_FS) if defined(&CONFIG_XFS_FS);
undef(&CONFIG_OCFS2_FS) if defined(&CONFIG_OCFS2_FS);
undef(&CONFIG_MINIX_FS) if defined(&CONFIG_MINIX_FS);
undef(&CONFIG_ROMFS_FS) if defined(&CONFIG_ROMFS_FS);
unless(defined(&CONFIG_INOTIFY)) {
    sub CONFIG_INOTIFY () {	1;}
}
undef(&CONFIG_QUOTA) if defined(&CONFIG_QUOTA);
unless(defined(&CONFIG_DNOTIFY)) {
    sub CONFIG_DNOTIFY () {	1;}
}
undef(&CONFIG_AUTOFS_FS) if defined(&CONFIG_AUTOFS_FS);
undef(&CONFIG_AUTOFS4_FS) if defined(&CONFIG_AUTOFS4_FS);
unless(defined(&CONFIG_FUSE_FS_MODULE)) {
    sub CONFIG_FUSE_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_ISO9660_FS)) {
    sub CONFIG_ISO9660_FS () {	1;}
}
unless(defined(&CONFIG_JOLIET)) {
    sub CONFIG_JOLIET () {	1;}
}
unless(defined(&CONFIG_ZISOFS)) {
    sub CONFIG_ZISOFS () {	1;}
}
unless(defined(&CONFIG_ZISOFS_FS)) {
    sub CONFIG_ZISOFS_FS () {	1;}
}
unless(defined(&CONFIG_UDF_FS_MODULE)) {
    sub CONFIG_UDF_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_UDF_NLS)) {
    sub CONFIG_UDF_NLS () {	1;}
}
unless(defined(&CONFIG_FAT_FS_MODULE)) {
    sub CONFIG_FAT_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_MSDOS_FS_MODULE)) {
    sub CONFIG_MSDOS_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_VFAT_FS_MODULE)) {
    sub CONFIG_VFAT_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_FAT_DEFAULT_CODEPAGE)) {
    sub CONFIG_FAT_DEFAULT_CODEPAGE () {	437;}
}
unless(defined(&CONFIG_FAT_DEFAULT_IOCHARSET)) {
    sub CONFIG_FAT_DEFAULT_IOCHARSET () {	"iso8859-1";}
}
undef(&CONFIG_NTFS_FS) if defined(&CONFIG_NTFS_FS);
unless(defined(&CONFIG_PROC_FS)) {
    sub CONFIG_PROC_FS () {	1;}
}
unless(defined(&CONFIG_PROC_KCORE)) {
    sub CONFIG_PROC_KCORE () {	1;}
}
unless(defined(&CONFIG_SYSFS)) {
    sub CONFIG_SYSFS () {	1;}
}
unless(defined(&CONFIG_TMPFS)) {
    sub CONFIG_TMPFS () {	1;}
}
undef(&CONFIG_HUGETLB_PAGE) if defined(&CONFIG_HUGETLB_PAGE);
unless(defined(&CONFIG_RAMFS)) {
    sub CONFIG_RAMFS () {	1;}
}
undef(&CONFIG_CONFIGFS_FS) if defined(&CONFIG_CONFIGFS_FS);
undef(&CONFIG_ADFS_FS) if defined(&CONFIG_ADFS_FS);
undef(&CONFIG_AFFS_FS) if defined(&CONFIG_AFFS_FS);
unless(defined(&CONFIG_HFS_FS_MODULE)) {
    sub CONFIG_HFS_FS_MODULE () {	1;}
}
unless(defined(&CONFIG_HFSPLUS_FS_MODULE)) {
    sub CONFIG_HFSPLUS_FS_MODULE () {	1;}
}
undef(&CONFIG_BEFS_FS) if defined(&CONFIG_BEFS_FS);
undef(&CONFIG_BFS_FS) if defined(&CONFIG_BFS_FS);
undef(&CONFIG_EFS_FS) if defined(&CONFIG_EFS_FS);
undef(&CONFIG_CRAMFS) if defined(&CONFIG_CRAMFS);
undef(&CONFIG_VXFS_FS) if defined(&CONFIG_VXFS_FS);
undef(&CONFIG_HPFS_FS) if defined(&CONFIG_HPFS_FS);
undef(&CONFIG_QNX4FS_FS) if defined(&CONFIG_QNX4FS_FS);
undef(&CONFIG_SYSV_FS) if defined(&CONFIG_SYSV_FS);
undef(&CONFIG_UFS_FS) if defined(&CONFIG_UFS_FS);
unless(defined(&CONFIG_NFS_FS)) {
    sub CONFIG_NFS_FS () {	1;}
}
undef(&CONFIG_NFS_V3) if defined(&CONFIG_NFS_V3);
undef(&CONFIG_NFS_V4) if defined(&CONFIG_NFS_V4);
undef(&CONFIG_NFS_DIRECTIO) if defined(&CONFIG_NFS_DIRECTIO);
unless(defined(&CONFIG_NFSD)) {
    sub CONFIG_NFSD () {	1;}
}
undef(&CONFIG_NFSD_V3) if defined(&CONFIG_NFSD_V3);
undef(&CONFIG_NFSD_TCP) if defined(&CONFIG_NFSD_TCP);
unless(defined(&CONFIG_LOCKD)) {
    sub CONFIG_LOCKD () {	1;}
}
unless(defined(&CONFIG_EXPORTFS)) {
    sub CONFIG_EXPORTFS () {	1;}
}
unless(defined(&CONFIG_NFS_COMMON)) {
    sub CONFIG_NFS_COMMON () {	1;}
}
unless(defined(&CONFIG_SUNRPC)) {
    sub CONFIG_SUNRPC () {	1;}
}
undef(&CONFIG_RPCSEC_GSS_KRB5) if defined(&CONFIG_RPCSEC_GSS_KRB5);
undef(&CONFIG_RPCSEC_GSS_SPKM3) if defined(&CONFIG_RPCSEC_GSS_SPKM3);
unless(defined(&CONFIG_SMB_FS_MODULE)) {
    sub CONFIG_SMB_FS_MODULE () {	1;}
}
undef(&CONFIG_SMB_NLS_DEFAULT) if defined(&CONFIG_SMB_NLS_DEFAULT);
undef(&CONFIG_CIFS) if defined(&CONFIG_CIFS);
undef(&CONFIG_NCP_FS) if defined(&CONFIG_NCP_FS);
undef(&CONFIG_CODA_FS) if defined(&CONFIG_CODA_FS);
undef(&CONFIG_AFS_FS) if defined(&CONFIG_AFS_FS);
undef(&CONFIG_9P_FS) if defined(&CONFIG_9P_FS);
unless(defined(&CONFIG_PARTITION_ADVANCED)) {
    sub CONFIG_PARTITION_ADVANCED () {	1;}
}
undef(&CONFIG_ACORN_PARTITION) if defined(&CONFIG_ACORN_PARTITION);
undef(&CONFIG_OSF_PARTITION) if defined(&CONFIG_OSF_PARTITION);
undef(&CONFIG_AMIGA_PARTITION) if defined(&CONFIG_AMIGA_PARTITION);
undef(&CONFIG_ATARI_PARTITION) if defined(&CONFIG_ATARI_PARTITION);
unless(defined(&CONFIG_MAC_PARTITION)) {
    sub CONFIG_MAC_PARTITION () {	1;}
}
unless(defined(&CONFIG_MSDOS_PARTITION)) {
    sub CONFIG_MSDOS_PARTITION () {	1;}
}
undef(&CONFIG_BSD_DISKLABEL) if defined(&CONFIG_BSD_DISKLABEL);
undef(&CONFIG_MINIX_SUBPARTITION) if defined(&CONFIG_MINIX_SUBPARTITION);
undef(&CONFIG_SOLARIS_X86_PARTITION) if defined(&CONFIG_SOLARIS_X86_PARTITION);
undef(&CONFIG_UNIXWARE_DISKLABEL) if defined(&CONFIG_UNIXWARE_DISKLABEL);
undef(&CONFIG_LDM_PARTITION) if defined(&CONFIG_LDM_PARTITION);
undef(&CONFIG_SGI_PARTITION) if defined(&CONFIG_SGI_PARTITION);
undef(&CONFIG_ULTRIX_PARTITION) if defined(&CONFIG_ULTRIX_PARTITION);
undef(&CONFIG_SUN_PARTITION) if defined(&CONFIG_SUN_PARTITION);
undef(&CONFIG_KARMA_PARTITION) if defined(&CONFIG_KARMA_PARTITION);
undef(&CONFIG_EFI_PARTITION) if defined(&CONFIG_EFI_PARTITION);
unless(defined(&CONFIG_NLS)) {
    sub CONFIG_NLS () {	1;}
}
unless(defined(&CONFIG_NLS_DEFAULT)) {
    sub CONFIG_NLS_DEFAULT () {	"iso8859-1";}
}
unless(defined(&CONFIG_NLS_CODEPAGE_437_MODULE)) {
    sub CONFIG_NLS_CODEPAGE_437_MODULE () {	1;}
}
undef(&CONFIG_NLS_CODEPAGE_737) if defined(&CONFIG_NLS_CODEPAGE_737);
undef(&CONFIG_NLS_CODEPAGE_775) if defined(&CONFIG_NLS_CODEPAGE_775);
undef(&CONFIG_NLS_CODEPAGE_850) if defined(&CONFIG_NLS_CODEPAGE_850);
undef(&CONFIG_NLS_CODEPAGE_852) if defined(&CONFIG_NLS_CODEPAGE_852);
undef(&CONFIG_NLS_CODEPAGE_855) if defined(&CONFIG_NLS_CODEPAGE_855);
undef(&CONFIG_NLS_CODEPAGE_857) if defined(&CONFIG_NLS_CODEPAGE_857);
undef(&CONFIG_NLS_CODEPAGE_860) if defined(&CONFIG_NLS_CODEPAGE_860);
undef(&CONFIG_NLS_CODEPAGE_861) if defined(&CONFIG_NLS_CODEPAGE_861);
undef(&CONFIG_NLS_CODEPAGE_862) if defined(&CONFIG_NLS_CODEPAGE_862);
undef(&CONFIG_NLS_CODEPAGE_863) if defined(&CONFIG_NLS_CODEPAGE_863);
undef(&CONFIG_NLS_CODEPAGE_864) if defined(&CONFIG_NLS_CODEPAGE_864);
undef(&CONFIG_NLS_CODEPAGE_865) if defined(&CONFIG_NLS_CODEPAGE_865);
undef(&CONFIG_NLS_CODEPAGE_866) if defined(&CONFIG_NLS_CODEPAGE_866);
undef(&CONFIG_NLS_CODEPAGE_869) if defined(&CONFIG_NLS_CODEPAGE_869);
undef(&CONFIG_NLS_CODEPAGE_936) if defined(&CONFIG_NLS_CODEPAGE_936);
undef(&CONFIG_NLS_CODEPAGE_950) if defined(&CONFIG_NLS_CODEPAGE_950);
undef(&CONFIG_NLS_CODEPAGE_932) if defined(&CONFIG_NLS_CODEPAGE_932);
undef(&CONFIG_NLS_CODEPAGE_949) if defined(&CONFIG_NLS_CODEPAGE_949);
undef(&CONFIG_NLS_CODEPAGE_874) if defined(&CONFIG_NLS_CODEPAGE_874);
undef(&CONFIG_NLS_ISO8859_8) if defined(&CONFIG_NLS_ISO8859_8);
undef(&CONFIG_NLS_CODEPAGE_1250) if defined(&CONFIG_NLS_CODEPAGE_1250);
undef(&CONFIG_NLS_CODEPAGE_1251) if defined(&CONFIG_NLS_CODEPAGE_1251);
undef(&CONFIG_NLS_ASCII) if defined(&CONFIG_NLS_ASCII);
unless(defined(&CONFIG_NLS_ISO8859_1_MODULE)) {
    sub CONFIG_NLS_ISO8859_1_MODULE () {	1;}
}
undef(&CONFIG_NLS_ISO8859_2) if defined(&CONFIG_NLS_ISO8859_2);
undef(&CONFIG_NLS_ISO8859_3) if defined(&CONFIG_NLS_ISO8859_3);
undef(&CONFIG_NLS_ISO8859_4) if defined(&CONFIG_NLS_ISO8859_4);
undef(&CONFIG_NLS_ISO8859_5) if defined(&CONFIG_NLS_ISO8859_5);
undef(&CONFIG_NLS_ISO8859_6) if defined(&CONFIG_NLS_ISO8859_6);
undef(&CONFIG_NLS_ISO8859_7) if defined(&CONFIG_NLS_ISO8859_7);
undef(&CONFIG_NLS_ISO8859_9) if defined(&CONFIG_NLS_ISO8859_9);
undef(&CONFIG_NLS_ISO8859_13) if defined(&CONFIG_NLS_ISO8859_13);
undef(&CONFIG_NLS_ISO8859_14) if defined(&CONFIG_NLS_ISO8859_14);
undef(&CONFIG_NLS_ISO8859_15) if defined(&CONFIG_NLS_ISO8859_15);
undef(&CONFIG_NLS_KOI8_R) if defined(&CONFIG_NLS_KOI8_R);
undef(&CONFIG_NLS_KOI8_U) if defined(&CONFIG_NLS_KOI8_U);
unless(defined(&CONFIG_NLS_UTF8_MODULE)) {
    sub CONFIG_NLS_UTF8_MODULE () {	1;}
}
unless(defined(&CONFIG_CRC_CCITT)) {
    sub CONFIG_CRC_CCITT () {	1;}
}
unless(defined(&CONFIG_CRC16)) {
    sub CONFIG_CRC16 () {	1;}
}
unless(defined(&CONFIG_CRC32)) {
    sub CONFIG_CRC32 () {	1;}
}
undef(&CONFIG_LIBCRC32C) if defined(&CONFIG_LIBCRC32C);
unless(defined(&CONFIG_ZLIB_INFLATE)) {
    sub CONFIG_ZLIB_INFLATE () {	1;}
}
unless(defined(&CONFIG_ZLIB_DEFLATE)) {
    sub CONFIG_ZLIB_DEFLATE () {	1;}
}
unless(defined(&CONFIG_TEXTSEARCH)) {
    sub CONFIG_TEXTSEARCH () {	1;}
}
unless(defined(&CONFIG_TEXTSEARCH_KMP_MODULE)) {
    sub CONFIG_TEXTSEARCH_KMP_MODULE () {	1;}
}
unless(defined(&CONFIG_TEXTSEARCH_BM_MODULE)) {
    sub CONFIG_TEXTSEARCH_BM_MODULE () {	1;}
}
unless(defined(&CONFIG_TEXTSEARCH_FSM_MODULE)) {
    sub CONFIG_TEXTSEARCH_FSM_MODULE () {	1;}
}
unless(defined(&CONFIG_PROFILING)) {
    sub CONFIG_PROFILING () {	1;}
}
unless(defined(&CONFIG_OPROFILE)) {
    sub CONFIG_OPROFILE () {	1;}
}
undef(&CONFIG_PRINTK_TIME) if defined(&CONFIG_PRINTK_TIME);
undef(&CONFIG_MAGIC_SYSRQ) if defined(&CONFIG_MAGIC_SYSRQ);
unless(defined(&CONFIG_DEBUG_KERNEL)) {
    sub CONFIG_DEBUG_KERNEL () {	1;}
}
unless(defined(&CONFIG_LOG_BUF_SHIFT)) {
    sub CONFIG_LOG_BUF_SHIFT () {	14;}
}
unless(defined(&CONFIG_DETECT_SOFTLOCKUP)) {
    sub CONFIG_DETECT_SOFTLOCKUP () {	1;}
}
undef(&CONFIG_SCHEDSTATS) if defined(&CONFIG_SCHEDSTATS);
undef(&CONFIG_DEBUG_SLAB) if defined(&CONFIG_DEBUG_SLAB);
undef(&CONFIG_DEBUG_MUTEXES) if defined(&CONFIG_DEBUG_MUTEXES);
undef(&CONFIG_DEBUG_SPINLOCK) if defined(&CONFIG_DEBUG_SPINLOCK);
undef(&CONFIG_DEBUG_SPINLOCK_SLEEP) if defined(&CONFIG_DEBUG_SPINLOCK_SLEEP);
undef(&CONFIG_DEBUG_KOBJECT) if defined(&CONFIG_DEBUG_KOBJECT);
undef(&CONFIG_DEBUG_INFO) if defined(&CONFIG_DEBUG_INFO);
undef(&CONFIG_DEBUG_FS) if defined(&CONFIG_DEBUG_FS);
undef(&CONFIG_DEBUG_VM) if defined(&CONFIG_DEBUG_VM);
undef(&CONFIG_FORCED_INLINING) if defined(&CONFIG_FORCED_INLINING);
undef(&CONFIG_RCU_TORTURE_TEST) if defined(&CONFIG_RCU_TORTURE_TEST);
unless(defined(&CONFIG_DEBUGGER)) {
    sub CONFIG_DEBUGGER () {	1;}
}
unless(defined(&CONFIG_XMON)) {
    sub CONFIG_XMON () {	1;}
}
unless(defined(&CONFIG_XMON_DEFAULT)) {
    sub CONFIG_XMON_DEFAULT () {	1;}
}
undef(&CONFIG_BDI_SWITCH) if defined(&CONFIG_BDI_SWITCH);
unless(defined(&CONFIG_BOOTX_TEXT)) {
    sub CONFIG_BOOTX_TEXT () {	1;}
}
undef(&CONFIG_PPC_EARLY_DEBUG_LPAR) if defined(&CONFIG_PPC_EARLY_DEBUG_LPAR);
undef(&CONFIG_PPC_EARLY_DEBUG_G5) if defined(&CONFIG_PPC_EARLY_DEBUG_G5);
undef(&CONFIG_PPC_EARLY_DEBUG_RTAS) if defined(&CONFIG_PPC_EARLY_DEBUG_RTAS);
undef(&CONFIG_PPC_EARLY_DEBUG_MAPLE) if defined(&CONFIG_PPC_EARLY_DEBUG_MAPLE);
undef(&CONFIG_PPC_EARLY_DEBUG_ISERIES) if defined(&CONFIG_PPC_EARLY_DEBUG_ISERIES);
undef(&CONFIG_KEYS) if defined(&CONFIG_KEYS);
undef(&CONFIG_SECURITY) if defined(&CONFIG_SECURITY);
unless(defined(&CONFIG_CRYPTO)) {
    sub CONFIG_CRYPTO () {	1;}
}
undef(&CONFIG_CRYPTO_HMAC) if defined(&CONFIG_CRYPTO_HMAC);
undef(&CONFIG_CRYPTO_NULL) if defined(&CONFIG_CRYPTO_NULL);
undef(&CONFIG_CRYPTO_MD4) if defined(&CONFIG_CRYPTO_MD4);
undef(&CONFIG_CRYPTO_MD5) if defined(&CONFIG_CRYPTO_MD5);
undef(&CONFIG_CRYPTO_SHA1) if defined(&CONFIG_CRYPTO_SHA1);
undef(&CONFIG_CRYPTO_SHA256) if defined(&CONFIG_CRYPTO_SHA256);
undef(&CONFIG_CRYPTO_SHA512) if defined(&CONFIG_CRYPTO_SHA512);
undef(&CONFIG_CRYPTO_WP512) if defined(&CONFIG_CRYPTO_WP512);
undef(&CONFIG_CRYPTO_TGR192) if defined(&CONFIG_CRYPTO_TGR192);
undef(&CONFIG_CRYPTO_DES) if defined(&CONFIG_CRYPTO_DES);
undef(&CONFIG_CRYPTO_BLOWFISH) if defined(&CONFIG_CRYPTO_BLOWFISH);
undef(&CONFIG_CRYPTO_TWOFISH) if defined(&CONFIG_CRYPTO_TWOFISH);
undef(&CONFIG_CRYPTO_SERPENT) if defined(&CONFIG_CRYPTO_SERPENT);
unless(defined(&CONFIG_CRYPTO_AES_MODULE)) {
    sub CONFIG_CRYPTO_AES_MODULE () {	1;}
}
undef(&CONFIG_CRYPTO_CAST5) if defined(&CONFIG_CRYPTO_CAST5);
undef(&CONFIG_CRYPTO_CAST6) if defined(&CONFIG_CRYPTO_CAST6);
undef(&CONFIG_CRYPTO_TEA) if defined(&CONFIG_CRYPTO_TEA);
unless(defined(&CONFIG_CRYPTO_ARC4_MODULE)) {
    sub CONFIG_CRYPTO_ARC4_MODULE () {	1;}
}
undef(&CONFIG_CRYPTO_KHAZAD) if defined(&CONFIG_CRYPTO_KHAZAD);
undef(&CONFIG_CRYPTO_ANUBIS) if defined(&CONFIG_CRYPTO_ANUBIS);
undef(&CONFIG_CRYPTO_DEFLATE) if defined(&CONFIG_CRYPTO_DEFLATE);
unless(defined(&CONFIG_CRYPTO_MICHAEL_MIC_MODULE)) {
    sub CONFIG_CRYPTO_MICHAEL_MIC_MODULE () {	1;}
}
undef(&CONFIG_CRYPTO_CRC32C) if defined(&CONFIG_CRYPTO_CRC32C);
undef(&CONFIG_CRYPTO_TEST) if defined(&CONFIG_CRYPTO_TEST);
1;
